/*!
 * @brief Geoportal resources access library
 *
 * This software is released under the licence CeCILL-B (Free BSD compatible)
 * @see http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.txt
 * @see http://www.cecill.info/licences/Licence_CeCILL-B_V1-fr.txt
 * @see http://www.cecill.info/
 *
 * copyright CeCILL-B
 * copyright IGN
 * @author IGN
 * @version 3.4.0
 * @date 18/03/2024
 *
 */
/*!
 * @overview es6-promise - a tiny implementation of Promises/A+.
 * @copyright Copyright (c) 2014 Yehuda Katz, Tom Dale, Stefan Penner and contributors (Conversion to ES6 API by Jake Archibald)
 * @license   Licensed under MIT license
 *            See https://raw.githubusercontent.com/stefanpenner/es6-promise/master/LICENSE
 * @version   v4.2.4
 */
!function(t,e){"object"==typeof exports&&"object"==typeof module?module.exports=e(require("node-fetch"),require("xmldom")):"function"==typeof define&&define.amd?define("Gp",["require","require"],e):"object"==typeof exports?exports.Gp=e(require("node-fetch"),require("xmldom")):t.Gp=e(t[void 0],t[void 0])}(this,(function(t,e){return function(t){var e={};function o(r){if(e[r])return e[r].exports;var s=e[r]={i:r,l:!1,exports:{}};return t[r].call(s.exports,s,s.exports,o),s.l=!0,s.exports}return o.m=t,o.c=e,o.d=function(t,e,r){o.o(t,e)||Object.defineProperty(t,e,{enumerable:!0,get:r})},o.r=function(t){"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(t,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(t,"__esModule",{value:!0})},o.t=function(t,e){if(1&e&&(t=o(t)),8&e)return t;if(4&e&&"object"==typeof t&&t&&t.__esModule)return t;var r=Object.create(null);if(o.r(r),Object.defineProperty(r,"default",{enumerable:!0,value:t}),2&e&&"string"!=typeof t)for(var s in t)o.d(r,s,function(e){return t[e]}.bind(null,s));return r},o.n=function(t){var e=t&&t.__esModule?function(){return t.default}:function(){return t};return o.d(e,"a",e),e},o.o=function(t,e){return Object.prototype.hasOwnProperty.call(t,e)},o.p="",o(o.s=5)}([function(t){t.exports=JSON.parse('{"name":"geoportal-access-lib","version":"3.4.0","date":"18/03/2024","description":"French Geoportal resources access library","module":"src/Gp.js","main":"dist/GpServices-src.js","homepage":"https://github.com/IGNF/geoportal-access-lib#readme","scripts":{"clean":"echo \\"Warning: no yet implemented!\\" && exit 0","setup":"npm install","cover":"nyc --reporter=lcov --reporter=text npm run test","eslint":"eslint src/","build":"webpack --mode=none","build:prod":"webpack --mode=production","build:dev":"webpack --mode=development","test":"mocha-webpack --reporter mochawesome --reporter-options reportDir=test-report,reportFilename=index --webpack-config ./test/webpack/webpack.test.js --glob \\"test_*.js\\" test/spec/","test:serve":"webpack-dev-server --hot --config ./test/webpack/webpack.test.serve.js","test:serve:docker":"webpack-dev-server --hot --config ./test/webpack/webpack.test.serve.docker.js","test:end-to-end:serve":"webpack-dev-server --hot --config ./test/webpack/webpack.end-to-end.serve.js","test:end-to-end:serve:docker":"webpack-dev-server --hot --config ./test/webpack/webpack.end-to-end.serve.docker.js","sample":"npm run sample:serve","sample:serve":"webpack-dev-server --mode=none --open-page samples/index-src.html --https --content-base . --output-public-path \'/dist/\' --port 9001 --open","sample:serve:prod":"webpack-dev-server --mode=production --open-page samples/index-prod.html --content-base . --output-public-path \'/dist/\' --port 9001 --open","sample:serve:dev":"webpack-dev-server --mode=development --open-page samples/index-map.html --content-base . --output-public-path \'/dist/\' --port 9001 --open","doc":"npm run doc:serve","doc:serve":"webpack-dev-server --content-base jsdoc --port 9001 --open"},"nyc":{"include":["src/**/*.js"],"instrument":false,"sourceMap":false},"repository":{"type":"git","url":"https://github.com/IGNF/geoportal-access-lib.git"},"keywords":["geoplateforme","geoportail","webservice","javascript","es6"],"author":"IGNF","license":"CECILL-B","dependencies":{"es6-promise":"^4.2.4","node-fetch":"^2.6.1","xmldom":"^0.1.27"},"devDependencies":{"@babel/core":"^7.12.10","@babel/plugin-transform-template-literals":"^7.12.1","@babel/preset-env":"^7.12.11","babel-loader":"^8.2.2","chai":"^4.1.2","clean-webpack-plugin":"^3.0.0","copy-webpack-plugin":"^5.1.2","eslint":"^7.18.0","eslint-config-standard":"^16.0.2","eslint-loader":"^4.0.2","eslint-plugin-import":"^2.22.1","eslint-plugin-node":"^11.1.0","eslint-plugin-promise":"^4.2.1","eslint-plugin-standard":"^5.0.0","glob":"^7.1.2","handlebars-layouts":"^3.1.4","handlebars-webpack-plugin":"^1.4.1","html-webpack-plugin":"^4.5.1","istanbul-instrumenter-loader":"^3.0.1","jsdoc-webpack-plugin":"^0.3.0","loglevel":"^1.6.1","mocha":"^7.2.0","mocha-loader":"^5.1.5","mocha-webpack":"^2.0.0-beta.0","mochawesome":"^6.2.1","nyc":"^15.1.0","path":"^0.12.7","replace-bundle-webpack-plugin":"^1.0.0","sinon":"^9.2.4","sinon-es6":"0.0.3","speed-measure-webpack-plugin":"^1.4.2","string-template":"^1.0.0","terser-webpack-plugin":"^2.3.8","webpack":"^4.46.0","webpack-cli":"^3.3.12","webpack-dev-server":"^3.11.2","webpack-node-externals":"^2.5.2","webpack-shell-plugin":"^0.5.0"},"bundledDependencies":[],"peerDependencies":{},"optionalDependencies":{}}')},function(t,e,o){var r,s;!function(n,i){"use strict";void 0===(s="function"==typeof(r=function(){var t=function(){},e="undefined"!=typeof window&&void 0!==window.navigator&&/Trident\/|MSIE /.test(window.navigator.userAgent),o=["trace","debug","info","warn","error"],r={},s=null;function n(t,e){var o=t[e];if("function"==typeof o.bind)return o.bind(t);try{return Function.prototype.bind.call(o,t)}catch(e){return function(){return Function.prototype.apply.apply(o,[t,arguments])}}}function i(){console.log&&(console.log.apply?console.log.apply(console,arguments):Function.prototype.apply.apply(console.log,[console,arguments])),console.trace&&console.trace()}function a(o){return"debug"===o&&(o="log"),"undefined"!=typeof console&&("trace"===o&&e?i:void 0!==console[o]?n(console,o):void 0!==console.log?n(console,"log"):t)}function c(){for(var e=this.getLevel(),r=0;r<o.length;r++){var s=o[r];this[s]=r<e?t:this.methodFactory(s,e,this.name)}if(this.log=this.debug,"undefined"==typeof console&&e<this.levels.SILENT)return"No console available for logging"}function l(t){return function(){"undefined"!=typeof console&&(c.call(this),this[t].apply(this,arguments))}}function u(t,e,o){return a(t)||l.apply(this,arguments)}function p(t,e){var n,i,a,l=this,p="loglevel";function h(){var t;if("undefined"!=typeof window&&p){try{t=window.localStorage[p]}catch(t){}if(void 0===t)try{var e=window.document.cookie,o=encodeURIComponent(p),r=e.indexOf(o+"=");-1!==r&&(t=/^([^;]+)/.exec(e.slice(r+o.length+1))[1])}catch(t){}return void 0===l.levels[t]&&(t=void 0),t}}function f(t){var e=t;if("string"==typeof e&&void 0!==l.levels[e.toUpperCase()]&&(e=l.levels[e.toUpperCase()]),"number"==typeof e&&e>=0&&e<=l.levels.SILENT)return e;throw new TypeError("log.setLevel() called with invalid level: "+t)}"string"==typeof t?p+=":"+t:"symbol"==typeof t&&(p=void 0),l.name=t,l.levels={TRACE:0,DEBUG:1,INFO:2,WARN:3,ERROR:4,SILENT:5},l.methodFactory=e||u,l.getLevel=function(){return null!=a?a:null!=i?i:n},l.setLevel=function(t,e){return a=f(t),!1!==e&&function(t){var e=(o[t]||"silent").toUpperCase();if("undefined"!=typeof window&&p){try{return void(window.localStorage[p]=e)}catch(t){}try{window.document.cookie=encodeURIComponent(p)+"="+e+";"}catch(t){}}}(a),c.call(l)},l.setDefaultLevel=function(t){i=f(t),h()||l.setLevel(t,!1)},l.resetLevel=function(){a=null,function(){if("undefined"!=typeof window&&p){try{window.localStorage.removeItem(p)}catch(t){}try{window.document.cookie=encodeURIComponent(p)+"=; expires=Thu, 01 Jan 1970 00:00:00 UTC"}catch(t){}}}(),c.call(l)},l.enableAll=function(t){l.setLevel(l.levels.TRACE,t)},l.disableAll=function(t){l.setLevel(l.levels.SILENT,t)},l.rebuild=function(){if(s!==l&&(n=f(s.getLevel())),c.call(l),s===l)for(var t in r)r[t].rebuild()},n=f(s?s.getLevel():"WARN");var d=h();null!=d&&(a=f(d)),c.call(l)}(s=new p).getLogger=function(t){if("symbol"!=typeof t&&"string"!=typeof t||""===t)throw new TypeError("You must supply a name when creating a logger.");var e=r[t];return e||(e=r[t]=new p(t,s.methodFactory)),e};var h="undefined"!=typeof window?window.log:void 0;return s.noConflict=function(){return"undefined"!=typeof window&&window.log===s&&(window.log=h),s},s.getLoggers=function(){return r},s.default=s,s})?r.call(e,o,e,t):r)||(t.exports=s)}()},function(e,o){e.exports=t},function(t,o){t.exports=e},function(t,e,o){(function(e,o){
/*!
 * @overview es6-promise - a tiny implementation of Promises/A+.
 * @copyright Copyright (c) 2014 Yehuda Katz, Tom Dale, Stefan Penner and contributors (Conversion to ES6 API by Jake Archibald)
 * @license   Licensed under MIT license
 *            See https://raw.githubusercontent.com/stefanpenner/es6-promise/master/LICENSE
 * @version   v4.2.8+1e68dce6
 */var r;r=function(){"use strict";function t(t){return"function"==typeof t}var r=Array.isArray?Array.isArray:function(t){return"[object Array]"===Object.prototype.toString.call(t)},s=0,n=void 0,i=void 0,a=function(t,e){d[s]=t,d[s+1]=e,2===(s+=2)&&(i?i(g):E())},c="undefined"!=typeof window?window:void 0,l=c||{},u=l.MutationObserver||l.WebKitMutationObserver,p="undefined"==typeof self&&void 0!==e&&"[object process]"==={}.toString.call(e),h="undefined"!=typeof Uint8ClampedArray&&"undefined"!=typeof importScripts&&"undefined"!=typeof MessageChannel;function f(){var t=setTimeout;return function(){return t(g,1)}}var d=new Array(1e3);function g(){for(var t=0;t<s;t+=2)(0,d[t])(d[t+1]),d[t]=void 0,d[t+1]=void 0;s=0}var m,y,v,w,E=void 0;function S(t,e){var o=this,r=new this.constructor(b);void 0===r[_]&&k(r);var s=o._state;if(s){var n=arguments[s-1];a((function(){return I(s,r,n,o._result)}))}else M(o,r,t,e);return r}function R(t){if(t&&"object"==typeof t&&t.constructor===this)return t;var e=new this(b);return P(e,t),e}p?E=function(){return e.nextTick(g)}:u?(y=0,v=new u(g),w=document.createTextNode(""),v.observe(w,{characterData:!0}),E=function(){w.data=y=++y%2}):h?((m=new MessageChannel).port1.onmessage=g,E=function(){return m.port2.postMessage(0)}):E=void 0===c?function(){try{var t=Function("return this")().require("vertx");return void 0!==(n=t.runOnLoop||t.runOnContext)?function(){n(g)}:f()}catch(t){return f()}}():f();var _=Math.random().toString(36).substring(2);function b(){}function T(e,o,r){o.constructor===e.constructor&&r===S&&o.constructor.resolve===R?function(t,e){1===e._state?A(t,e._result):2===e._state?C(t,e._result):M(e,void 0,(function(e){return P(t,e)}),(function(e){return C(t,e)}))}(e,o):void 0===r?A(e,o):t(r)?function(t,e,o){a((function(t){var r=!1,s=function(t,e,o,r){try{t.call(e,o,r)}catch(t){return t}}(o,e,(function(o){r||(r=!0,e!==o?P(t,o):A(t,o))}),(function(e){r||(r=!0,C(t,e))}),t._label);!r&&s&&(r=!0,C(t,s))}),t)}(e,o,r):A(e,o)}function P(t,e){if(t===e)C(t,new TypeError("You cannot resolve a promise with itself"));else if(s=typeof(r=e),null===r||"object"!==s&&"function"!==s)A(t,e);else{var o=void 0;try{o=e.then}catch(e){return void C(t,e)}T(t,e,o)}var r,s}function O(t){t._onerror&&t._onerror(t._result),x(t)}function A(t,e){void 0===t._state&&(t._result=e,t._state=1,0!==t._subscribers.length&&a(x,t))}function C(t,e){void 0===t._state&&(t._state=2,t._result=e,a(O,t))}function M(t,e,o,r){var s=t._subscribers,n=s.length;t._onerror=null,s[n]=e,s[n+1]=o,s[n+2]=r,0===n&&t._state&&a(x,t)}function x(t){var e=t._subscribers,o=t._state;if(0!==e.length){for(var r=void 0,s=void 0,n=t._result,i=0;i<e.length;i+=3)r=e[i],s=e[i+o],r?I(o,r,s,n):s(n);t._subscribers.length=0}}function I(e,o,r,s){var n=t(r),i=void 0,a=void 0,c=!0;if(n){try{i=r(s)}catch(t){c=!1,a=t}if(o===i)return void C(o,new TypeError("A promises callback cannot return that same promise."))}else i=s;void 0!==o._state||(n&&c?P(o,i):!1===c?C(o,a):1===e?A(o,i):2===e&&C(o,i))}var N=0;function k(t){t[_]=N++,t._state=void 0,t._result=void 0,t._subscribers=[]}var L=function(){function t(t,e){this._instanceConstructor=t,this.promise=new t(b),this.promise[_]||k(this.promise),r(e)?(this.length=e.length,this._remaining=e.length,this._result=new Array(this.length),0===this.length?A(this.promise,this._result):(this.length=this.length||0,this._enumerate(e),0===this._remaining&&A(this.promise,this._result))):C(this.promise,new Error("Array Methods must be provided an Array"))}return t.prototype._enumerate=function(t){for(var e=0;void 0===this._state&&e<t.length;e++)this._eachEntry(t[e],e)},t.prototype._eachEntry=function(t,e){var o=this._instanceConstructor,r=o.resolve;if(r===R){var s=void 0,n=void 0,i=!1;try{s=t.then}catch(t){i=!0,n=t}if(s===S&&void 0!==t._state)this._settledAt(t._state,e,t._result);else if("function"!=typeof s)this._remaining--,this._result[e]=t;else if(o===U){var a=new o(b);i?C(a,n):T(a,t,s),this._willSettleAt(a,e)}else this._willSettleAt(new o((function(e){return e(t)})),e)}else this._willSettleAt(r(t),e)},t.prototype._settledAt=function(t,e,o){var r=this.promise;void 0===r._state&&(this._remaining--,2===t?C(r,o):this._result[e]=o),0===this._remaining&&A(r,this._result)},t.prototype._willSettleAt=function(t,e){var o=this;M(t,void 0,(function(t){return o._settledAt(1,e,t)}),(function(t){return o._settledAt(2,e,t)}))},t}(),U=function(){function e(t){this[_]=N++,this._result=this._state=void 0,this._subscribers=[],b!==t&&("function"!=typeof t&&function(){throw new TypeError("You must pass a resolver function as the first argument to the promise constructor")}(),this instanceof e?function(t,e){try{e((function(e){P(t,e)}),(function(e){C(t,e)}))}catch(e){C(t,e)}}(this,t):function(){throw new TypeError("Failed to construct 'Promise': Please use the 'new' operator, this object constructor cannot be called as a function.")}())}return e.prototype.catch=function(t){return this.then(null,t)},e.prototype.finally=function(e){var o=this.constructor;return t(e)?this.then((function(t){return o.resolve(e()).then((function(){return t}))}),(function(t){return o.resolve(e()).then((function(){throw t}))})):this.then(e,e)},e}();return U.prototype.then=S,U.all=function(t){return new L(this,t).promise},U.race=function(t){var e=this;return r(t)?new e((function(o,r){for(var s=t.length,n=0;n<s;n++)e.resolve(t[n]).then(o,r)})):new e((function(t,e){return e(new TypeError("You must pass an array to race."))}))},U.resolve=R,U.reject=function(t){var e=new this(b);return C(e,t),e},U._setScheduler=function(t){i=t},U._setAsap=function(t){a=t},U._asap=a,U.polyfill=function(){var t=void 0;if(void 0!==o)t=o;else if("undefined"!=typeof self)t=self;else try{t=Function("return this")()}catch(t){throw new Error("polyfill failed because global object is unavailable in this environment")}var e=t.Promise;if(e){var r=null;try{r=Object.prototype.toString.call(e.resolve())}catch(t){}if("[object Promise]"===r&&!e.cast)return}t.Promise=U},U.Promise=U,U},t.exports=r()}).call(this,o(6),o(7))},function(t,e,o){t.exports=o(8)},function(t,e){var o,r,s=t.exports={};function n(){throw new Error("setTimeout has not been defined")}function i(){throw new Error("clearTimeout has not been defined")}function a(t){if(o===setTimeout)return setTimeout(t,0);if((o===n||!o)&&setTimeout)return o=setTimeout,setTimeout(t,0);try{return o(t,0)}catch(e){try{return o.call(null,t,0)}catch(e){return o.call(this,t,0)}}}!function(){try{o="function"==typeof setTimeout?setTimeout:n}catch(t){o=n}try{r="function"==typeof clearTimeout?clearTimeout:i}catch(t){r=i}}();var c,l=[],u=!1,p=-1;function h(){u&&c&&(u=!1,c.length?l=c.concat(l):p=-1,l.length&&f())}function f(){if(!u){var t=a(h);u=!0;for(var e=l.length;e;){for(c=l,l=[];++p<e;)c&&c[p].run();p=-1,e=l.length}c=null,u=!1,function(t){if(r===clearTimeout)return clearTimeout(t);if((r===i||!r)&&clearTimeout)return r=clearTimeout,clearTimeout(t);try{r(t)}catch(e){try{return r.call(null,t)}catch(e){return r.call(this,t)}}}(t)}}function d(t,e){this.fun=t,this.array=e}function g(){}s.nextTick=function(t){var e=new Array(arguments.length-1);if(arguments.length>1)for(var o=1;o<arguments.length;o++)e[o-1]=arguments[o];l.push(new d(t,e)),1!==l.length||u||a(f)},d.prototype.run=function(){this.fun.apply(null,this.array)},s.title="browser",s.browser=!0,s.env={},s.argv=[],s.version="",s.versions={},s.on=g,s.addListener=g,s.once=g,s.off=g,s.removeListener=g,s.removeAllListeners=g,s.emit=g,s.prependListener=g,s.prependOnceListener=g,s.listeners=function(t){return[]},s.binding=function(t){throw new Error("process.binding is not supported")},s.cwd=function(){return"/"},s.chdir=function(t){throw new Error("process.chdir is not supported")},s.umask=function(){return 0}},function(t,e){var o;o=function(){return this}();try{o=o||new Function("return this")()}catch(t){"object"==typeof window&&(o=window)}t.exports=o},function(t,e,o){"use strict";o.r(e),o.d(e,"servicesVersion",(function(){return Zt})),o.d(e,"servicesDate",(function(){return $t}));var r=o(1),s={getLogger:function(t){r.disableAll();var e=t||"default";return r.getLogger(e)}},n={PARAM_MISSING:"Parameter(s) '%var%' missing",PARAM_EMPTY:"Parameter(s) '%var%' empty",PARAM_TYPE:"Wrong type(s) for parameter(s) '%var%'",PARAM_FORMAT:"Parameter(s) '%var%' not correctly formatted",PARAM_NOT_SUPPORT:"Value(s) for parameter(s) '%var%' not supported",PARAM_NOT_SUPPORT_NODEJS:"Value(s) for parameter(s) '%var%' not supported to NodeJS",PARAM_UNKNOWN:"Value(s) for parameter(s) '%var%' unknown",SERVICE_REQUEST_BUILD:"An error occurred during the request building of the service",SERVICE_REQUEST_EMPTY:"The request sent to the service is empty",SERVICE_RESPONSE_EXCEPTION:"The service returned an exception : '%var%'",SERVICE_RESPONSE_EXCEPTION_2:"The service returned an exception",SERVICE_RESPONSE_ANALYSE:"An error occurred while parsing the response '%var%' of the service",SERVICE_RESPONSE_ANALYSE_2:"An unknown error occurred while parsing the response",SERVICE_RESPONSE_EMPTY:"The response of the service is empty",SERVICE_RESPONSE_EMPTY_2:"The response from the service could not be analyzed or is empty",SERVICE_RESPONSE_FORMAT:"The format of the service response is not supported (handled format(s) : '%var%')",SERVICE_RESPONSE_FORMAT_2:"The format of the service response is not supported",SERVICE_RESPONSE_FORMAT_3:"No suggestion matching the search",CLASS_CONSTRUCTOR:"'%var%' constructor cannot be called as a function.",getMessage:function(t,e){if(0===Object.keys(arguments).length)return"Message indefined !";var o=Array.prototype.slice.call(arguments),r=o.shift(),s=o,n=this[r];try{n=Array.isArray(s)&&s.length>0?n.replace("%var%",s.join(" - ")):n.replace("%var%","%var% (not specified)")}catch(t){}return n}},i={normalyzeParameters:function(t){var e=null;if(t){var o=[];for(var r in t)if(t.hasOwnProperty(r)){var s=t[r];s||(s=""),o.push(r+"="+s)}e=o.join("&")}return e},normalyzeUrl:function(t,e,o){var r=t;if(t){var s=t.indexOf("?");-1===s&&(r+="?"),-1!==s&&s!==t.length-1&&(r+="&")}return e&&(r+="string"==typeof e?e=e.replace("?",""):this.normalyzeParameters(e)),o&&(r=encodeURIComponent(r)),r},indent:function(t,e){return new Array((t||0)+1).join("\t")+e}},a=o(4),c=o.n(a);function l(t){return(l="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t})(t)}var u,p={call:function(t){var e=s.getLogger("XHR");if(e.trace("[XHR::call()]"),c.a.polyfill(),!t.url)throw new Error("missing parameter : url is not defined !");if(!t.method)throw new Error("missing parameter : method is not defined !");t.format||(t.format="text");var o={};switch(o.url=t.url,o.data=t.data?t.data:null,o.method=t.method,o.timeOut=t.timeOut||0,o.scope=t.scope||this,o.proxy=t.proxy||null,o.content=t.content||null,o.headers=t.headers||{referer:"http://localhost"},t.method){case"DELETE":case"GET":break;case"PUT":case"POST":o.content=t.content?t.content:"application/x-www-form-urlencoded",o.headers=t.headers?t.headers:{referer:"http://localhost"};break;case"HEAD":case"OPTIONS":throw new Error("HTTP method not yet supported !");default:throw new Error("HTTP method unknown !")}switch(t.format){case"text":this.__call(o).then((function(o){e.trace(o),t.onResponse.call(this,o)})).catch((function(e){t.onFailure.call(this,e)}));break;case"json":this.__callJSON(o).then((function(o){e.trace(o),t.onResponse.call(this,o)})).catch((function(e){t.onFailure.call(this,e)}));break;case"xml":this.__callXML(o).then((function(o){e.trace(o),t.onResponse.call(this,o)})).catch((function(e){t.onFailure.call(this,e)}));break;default:throw new Error("This output Format is not yet supported !")}},__call:function(t){var e=s.getLogger("XHR");return e.trace("[XHR::__call()]"),new Promise((function(r,s){var n="POST"===t.method||"PUT"===t.method?1:0;t.data&&("object"===l(t.data)&&Object.keys(t.data).length||"string"==typeof t.data&&t.data.length)&&!n&&(t.url=i.normalyzeUrl(t.url,t.data)),e.trace("URL = ",t.url);var a=null;if("undefined"==typeof window){var c=o(2),u={headers:{Referer:"https://localhost"}};return t.data&&"string"==typeof t.data&&n&&(u={method:t.method,body:t.data,headers:{"Content-Type":t.content,Referer:"https://localhost"}}),c(t.url,u).then((function(t){if(t.ok)r(t.text());else{var e="Errors Occured on Http Request (status : '"+t.statusText+"' | url : '"+t.url+"')",o=t.status;s({message:e,status:o})}})).catch((function(t){s({message:t,status:-1})}))}if(window.XMLHttpRequest){e.trace("XMLHttpRequest"),(a=new XMLHttpRequest).open(t.method,t.url,!0),a.overrideMimeType=t.content;var p=null;t.timeOut>0&&(e.trace("XHR - TimeOut actif !"),p=window.setTimeout((function(){s({message:"TimeOut Occured on Http Request with XMLHttpRequest !",status:-1})}),t.timeOut)),n&&(e.trace("data = ",t.data),a.setRequestHeader("Content-type",t.content)),a.onerror=function(t){console.log(t),s(new Error("Errors Occured on Http Request with XMLHttpRequest !"))},a.ontimeout=function(t){console.log(t),s(new Error("TimeOut Occured on Http Request with XMLHttpRequest !"))},a.onreadystatechange=function(t){if(4===a.readyState)if(200===a.status)window.clearTimeout(p),r(a.response);else{var e="Errors Occured on Http Request (status : '"+t.target.statusText+"' | url : '"+t.target.responseURL+"' | response : '"+t.target.response+"')",o=t.target.status;s({message:e,status:o})}};var h=t.data&&n?t.data:null;a.send(h)}else{if(!window.XDomainRequest)throw new Error("CORS not supported");e.trace("XDomainRequest"),(a=new XDomainRequest).open(t.method,t.url),a.overrideMimeType=t.content,t.timeOut>0&&(a.timeout=t.timeout,e.trace("XHR - TimeOut actif !")),n&&a.setRequestHeader("Content-type",t.content),a.onerror=function(){s(new Error("Errors Occured on Http Request with XMLHttpRequest !"))},a.ontimeout=function(){s(new Error("TimeOut Occured on Http Request with XMLHttpRequest !"))},a.onload=function(t){if(200===a.status)r(a.responseText);else{var e="Errors Occured on Http Request (status : '"+t.target.statusText+"' | url : '"+t.target.responseURL+"')",o=t.target.status;s({message:e,status:o})}};var f=t.data&&n?t.data:null;a.send(f)}}))},__callJSON:function(t){return this.__call(t).then(JSON.parse).catch((function(e){console.log("_callJSON failed on : ",t.url,e)}))},__callXML:function(t){return this.__call(t).then((function(t){var e;"undefined"==typeof window?e=(new(0,o(3).DOMParser)).parseFromString(t,"text/xml"):window.DOMParser?e=(new window.DOMParser).parseFromString(t,"text/xml"):((e=new window.ActiveXObject("Microsoft.XMLDOM")).async=!1,e.loadXML(t));return e})).catch((function(e){console.log("__callXML failed on : ",t.url,e)}))}},h={uuid:(u=Math.floor(Date.now()),function(){return u++}),call:function(t){var e=s.getLogger("JSONP");if(e.trace("[JSONP::call ()]"),!t)throw e.error("missing parameter : options !"),new Error("missing parameter : options !");if(!t.url)throw e.error("missing parameter : options.url !"),new Error("missing parameter : options.url !");if(t.timeOut||(e.info("setting 'options.timeOut' default value"),t.timeOut=0),!t.onResponse)throw e.error("missing parameter : options.onResponse !"),new Error("missing parameter : options.onResponse !");var o="string"==typeof t.callbackSuffix?t.callbackSuffix:this.uuid(),r=!1,n=!1,i=t.url.indexOf("callback=");if(-1!==i){r=!0;var a=t.url.indexOf("&",i);-1===a&&(a=t.url.length);var c=t.url.substring(i+9,a);c&&(n=!0,t.callbackName=c,e.info("setting 'options.callbackName' value ("+t.callbackName+") from 'options.url' parameter"))}if(!r){var l=t.url.indexOf("?");-1===l?t.url=t.url+"?callback=":l===t.url.length?t.url=t.url+"callback=":t.url=t.url+"&callback=",e.info("setting callback default key in 'options.url' : "+t.url)}var u=!!t.callbackName||n;if(n||(t.callbackName||(e.info("setting 'options.callbackName' default value"),t.callbackName="callback",(o||""===o)&&(t.callbackName+=o)),t.url=t.url.replace("callback=","callback="+t.callbackName),e.info("setting callback function name in 'options.url' : "+t.url)),t.onTimeOut||(e.info("setting 'options.onTimeOut' default value"),t.onTimeOut=function(){console.log("TimeOut while invoking url : "+t.url)}),!u){var p=this,h=null;t.timeOut>0&&(h=window.setTimeout((function(){window[t.callbackName]=function(){},t.onTimeOut(),p._deleteScript(o)}),t.timeOut)),window[t.callbackName]=function(e){window.clearTimeout(h),t.onResponse(e),p._deleteScript(o)}}this._createScript(o,t.url)},_createScript:function(t,e){var o,r=document.getElementById("results"+t);(o=document.createElement("script")).setAttribute("type","text/javascript"),o.setAttribute("src",e),o.setAttribute("charset","UTF-8"),o.setAttribute("id","results"+t),o.setAttribute("async","true");var s=document.documentElement||document.getElementsByTagName("head")[0];null===r?s.appendChild(o):s.replaceChild(o,r)},_deleteScript:function(t){var e=document.getElementById("results"+t);if(e){var o=e.parentNode||document.documentElement;if(!o)return;o.removeChild(e)}}},f={send:function(t){var e=t||{method:"GET",protocol:"XHR",timeOut:0,format:null,wrap:!0,nocache:!0,output:"json",callback:null,callbackSuffix:null};if("undefined"!=typeof window||"JSONP"!==t.protocol){if("XHR"===t.protocol||"json"===t.format?e.wrap=!1:"JSONP"===t.protocol&&"xml"===t.format&&(e.wrap=!0),e.callback=null,e.output=e.wrap?"json":null,e.wrap){var o={};o.output=e.output,o.callback=e.callback,delete o.callback,e.url=i.normalyzeUrl(t.url,o)}switch(e.protocol){case"XHR":"GET"===t.method&&t.nocache&&(e.url=i.normalyzeUrl(e.url,{t:(new Date).getTime()})),p.call(e);break;case"JSONP":e.data&&(e.url=i.normalyzeUrl(e.url,e.data)),h.call(e);break;default:throw new Error("protocol not supported (XHR|JSONP) !")}}else console.log("Value (s) for parameter (s) 'protocol=JSONP (instead use XHR)' not supported to NodeJS")}};function d(t){if(!(this instanceof d))throw new TypeError("ErrorService constructor cannot be called as a function.");var e=t;"string"==typeof t||t instanceof String?(this.message=t,this.status=-1,this.type=d.TYPE_UNKERR):(this.message=e.message||"undefined!?",this.type=e.type,this.status=e.status||-1),this.name="ErrorService",this.stack=(new Error).stack}d.TYPE_SRVERR="SERVICE_ERROR",d.TYPE_USEERR="USAGE_ERROR",d.TYPE_UNKERR="UNKNOWN_ERROR",d.prototype=Object.create(Error.prototype,{constructor:{value:d,writable:!0,configurable:!0}});var g=d,m=o(0);function y(t){if(!(this instanceof y))throw new TypeError(n.getMessage("CLASS_CONSTRUCTOR"));for(var e in this.logger=s.getLogger("CommonService"),this.logger.trace("[Constructeur CommonService (options)]"),this.options={protocol:"XHR",ssl:!0,proxyURL:"",callbackSuffix:null,httpMethod:"GET",timeOut:0,rawResponse:!1,scope:this,onSuccess:function(t){console.log("onSuccess - la reponse est la suivante : ",t)},onFailure:function(t){200!==t.status&&t.status?console.log("onFailure - Erreur (",t.status,") : ",t.message):console.log("onFailure : ",t.message)}},t)t.hasOwnProperty(e)&&(this.options[e]=t[e]);if(this.options.rawResponse&&!this.options.onSuccess&&(this.options.onSuccess=function(t){console.log("onSuccess - la réponse brute du service est la suivante : ",t)}),!!(null===this.options.onSuccess||"function"!=typeof this.options.onSuccess))throw new Error(n.getMessage("PARAM_MISSING","onSuccess()"));switch(this.options.httpMethod="string"==typeof t.httpMethod?t.httpMethod.toUpperCase():"GET",this.options.httpMethod){case"POST":case"GET":break;case"PUT":case"DELETE":case"HEAD":case"OPTIONS":throw new Error(n.getMessage("PARAM_NOT_SUPPORT","httpMethod"));default:throw new Error(n.getMessage("PARAM_UNKNOWN","httpMethod"))}switch(this.options.protocol="string"==typeof t.protocol?t.protocol.toUpperCase():"XHR",this.options.protocol){case"JSONP":case"XHR":break;default:throw new Error(n.getMessage("PARAM_UNKNOWN","protocol"))}if("undefined"==typeof window&&"JSONP"===this.options.protocol)throw new Error(n.getMessage("PARAM_NOT_SUPPORT_NODEJS","protocol=JSONP (instead use XHR)"));"JSONP"===this.options.protocol&&(this.options.httpMethod="GET"),this.options.nocache=t.nocache||!1,this.options.outputFormat=null,this.request=null,this.response=null}y.prototype={constructor:y,call:function(){this.logger.trace("CommonService::call ()");var t=this;function e(e){this.logger.trace("CommonService::onBuildRequest : ",e),this.callService.call(t,s,o)}function o(e){this.logger.trace("CommonService::onCallService : ",e),this.analyzeResponse.call(t,s,r)}function r(t){if(this.logger.trace("CommonService::onAnalyzeResponse : ",t),!t)return s.call(this,new g("Analyse de la reponse en échec !?"));this.options.onSuccess.call(this,t)}function s(t){this.logger.trace("CommonService::onError()");var e=t;e instanceof g||(e=new g(t.message)),this.options.onFailure.call(this,e)}(function(){this.logger.trace("CommonService::run ()"),this.buildRequest.call(t,s,e)}).call(t)},buildRequest:function(t,e){this.logger.error("overwritten method !"),t&&t.call(this,"This method must be overwritten !"),e.call(this,"This method must be overwritten !")},callService:function(t,e){var o=null,r=this.request,s=!(!this.options.proxyURL||"XHR"!==this.options.protocol),n={"gp-access-lib":m.version};this.options.apiKey&&(n.apiKey=this.options.apiKey),this.options.serverUrl=i.normalyzeUrl(this.options.serverUrl,n,!1),s&&("GET"===this.options.httpMethod&&(o=this.options.proxyURL+i.normalyzeUrl(this.options.serverUrl,this.request,!0),r=null),"POST"===this.options.httpMethod&&(o=this.options.proxyURL+i.normalyzeUrl(this.options.serverUrl,null,!0),r=this.request));var a=this,c={url:o||this.options.serverUrl,method:this.options.httpMethod,protocol:this.options.protocol,timeOut:this.options.timeOut||0,format:this.options.outputFormat,nocache:this.options.nocache||!1,wrap:"XHR"!==this.options.protocol,callbackSuffix:this.options.callbackSuffix,data:r,headers:null,content:this.options.contentType||"application/xml",scope:this.options.scope||this,onResponse:function(o){a.logger.trace("callService::onResponse()");var r=null;if("XHR"===a.options.protocol&&(a.logger.trace("Response XHR",o),r=o),"JSONP"===a.options.protocol){if(a.logger.trace("Response JSON",o),!o)return void t.call(a,new g("Le contenu de la reponse est vide !?"));if(o.http){if(200!==o.http.status)return void t.call(a,new g({status:o.http.status,message:o.http.error,type:g.TYPE_SRVERR}));r=o.xml,a.options.rawResponse&&(r=o)}else r=o}if("function"==typeof a.options.onBeforeParse){var s=a.options.onBeforeParse(r);"string"==typeof s&&(r=s)}a.response=r,e.call(a,r)},onFailure:function(e){a.logger.trace("callService::onFailure()"),e.type=g.TYPE_SRVERR,t.call(a,new g(e))},onTimeOut:function(){a.logger.trace("callService::onTimeOut()"),t.call(a,new g("TimeOut!"))}};f.send(c)},analyzeResponse:function(t,e){this.logger.error("overwritten method !"),t&&t.call(this,"This method must be overwritten !"),e.call(this,"This method must be overwritten !")}};var v=y,w={ssl:!0,newUrl:function(t){return(!1===w.ssl?"http://":"https://")+"data.geopf.fr"+t},Alti:{new_key:{"elevation-json":"/altimetrie/1.0/calcul/alti/rest/elevation.json","elevation-xml":"/altimetrie/1.0/calcul/alti/rest/elevation.xml","profil-json":"/altimetrie/1.0/calcul/alti/rest/elevationLine.json","profil-xml":"/altimetrie/1.0/calcul/alti/rest/elevationLine.xml"},newUrl:function(){return{"elevation-json":w.newUrl(this.new_key["elevation-json"]),"elevation-xml":w.newUrl(this.new_key["elevation-xml"]),"profil-json":w.newUrl(this.new_key["profil-json"]),"profil-xml":w.newUrl(this.new_key["profil-xml"])}}},ProcessIsoCurve:{new_key:"/navigation/isochrone",newUrl:function(){return w.newUrl(this.new_key)}},Config:{_key:"https://raw.githubusercontent.com/IGNF/geoportal-configuration/new-url/dist/",url:function(t){Array.isArray(t)||(t=t.split(","));for(var e=[],o=0;o<t.length;o++)e[o]=this._key+t[o]+"Config.json";return e}},AutoComplete:{new_key:"/geocodage/completion",newUrl:function(){return w.newUrl(this.new_key)}},ReverseGeocode:{new_key:"/geocodage/reverse",newUrl:function(){return w.newUrl(this.new_key)}},Geocode:{new_key:"/geocodage/search",newUrl:function(){return w.newUrl(this.new_key)}},Route:{new_key:"/navigation/itineraire",newUrl:function(){return w.newUrl(this.new_key)}}},E=w;function S(){if(!(this instanceof S))throw new TypeError("ConfigInterface constructor cannot be called as a function.");this.generalOptions={apiKeys:{},title:null,defaultGMLGFIStyle:null,theme:null,wgs84Resolutions:[]},this.layers={},this.tileMatrixSets={}}S.prototype={constructor:S,isKeyConfLoaded:function(t){if(t)return!!this.generalOptions.apiKeys[t]},getLayersId:function(t){return this.generalOptions.apiKeys[t]},getLayerId:function(t,e){if(t&&e){var o=null;if(this.layers){var r=this.layers;for(var s in r)if(r.hasOwnProperty(s)){var n=s.split("$");if(t===n[0]&&n[1]){var i=n[1].split(":");if(n[1].split(";")[1]===e.toUpperCase()){o=s;break}if(i[2]===e.toUpperCase()){o=s;break}}}}if(o)return o}},getLayersConf:function(t){var e={},o=this.getLayersId(t);if(o)for(var r=0;r<o.length;r++){var s=o[r];e[s]=this.layers[s]}return e},getLayerConf:function(t){if(this.layers)return this.layers[t]},getLayerParams:function(t,e){var o={};if(("WMS"===e||0!==Object.keys(this.tileMatrixSets).length)&&0!==Object.keys(this.layers).length){var r=this.getLayerId(t,e);if(r){var s=this.getLayerConf(r),n=this.getLayerKey(r);if(0===n.length)return;for(var i=0;i<n.length;i++)s.serviceParams.serverUrl[n[i]]&&(o.url=s.serviceParams.serverUrl[n[i]]);if(/\/v\//.test(o.url)?o.styles=" ":o.styles=s.styles[0].name,o.version=s.serviceParams.version,o.format=s.formats[0].name,o.projection=s.defaultProjection,o.minScale=s.globalConstraint.minScaleDenominator,o.maxScale=s.globalConstraint.maxScaleDenominator,o.extent=s.globalConstraint.bbox,o.legends=s.legends,o.title=s.title,o.description=s.description,"WMS"===e&&(o.metadata=s.metadata),s.wmtsOptions){o.tileMatrixSetLimits=s.wmtsOptions.tileMatrixSetLimits;var a=s.wmtsOptions.tileMatrixSetLink;if(a){o.TMSLink=a;var c=this.getTMSConf(a);o.matrixIds=Object.keys(c.tileMatrices),o.tileMatrices=c.tileMatrices,o.nativeResolutions=c.nativeResolutions||this.getTMSConf("PM").nativeResolutions}}}}return o},getLayerKey:function(t){var e=[];if(this.generalOptions&&this.generalOptions.apiKeys&&0!==Object.keys(this.generalOptions.apiKeys).length){var o=this.generalOptions.apiKeys;for(var r in o){o[r].forEach((function(o){o===t&&e.push(r)}))}}return e},getTileMatrixSets:function(){return this.tileMatrixSets},getTMSConf:function(t){if(this.tileMatrixSets)return this.tileMatrixSets[t]},getGlobalConstraints:function(t){var e={};if(t){var o=this.getLayerConf(t);e.projection=o.defaultProjection,e.minScale=o.globalConstraint.minScaleDenominator,e.maxScale=o.globalConstraint.maxScaleDenominator,e.extent=o.globalConstraint.bbox}return e}};var R=S;function _(t){return(_="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t})(t)}function b(t,e){var o=Object.keys(t);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(t);e&&(r=r.filter((function(e){return Object.getOwnPropertyDescriptor(t,e).enumerable}))),o.push.apply(o,r)}return o}function T(t){for(var e=1;e<arguments.length;e++){var o=null!=arguments[e]?arguments[e]:{};e%2?b(Object(o),!0).forEach((function(e){P(t,e,o[e])})):Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(o)):b(Object(o)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(o,e))}))}return t}function P(t,e,o){var r;return r=function(t,e){if("object"!=_(t)||!t)return t;var o=t[Symbol.toPrimitive];if(void 0!==o){var r=o.call(t,e||"default");if("object"!=_(r))return r;throw new TypeError("@@toPrimitive must return a primitive value.")}return("string"===e?String:Number)(t)}(e,"string"),(e="symbol"==_(r)?r:String(r))in t?Object.defineProperty(t,e,{value:o,enumerable:!0,configurable:!0,writable:!0}):t[e]=o,t}function O(t){if(!(this instanceof O))throw new TypeError(n.getMessage("CLASS_CONSTRUCTOR","Config"));if(this.CLASSNAME="Config",this.logger=s.getLogger("Gp.Config"),this.logger.trace("[Constructeur Config (options)]"),!!(null===t.onSuccess||"function"!=typeof t.onSuccess))throw new Error(n.getMessage("PARAM_MISSING","onSuccess()"));t.apiKey||t.customConfigFile||(t.apiKey="full"),this.options={},this.options.onSuccess=t.onSuccess,this.options.onFailure=t.onFailure,this.options.sync=t.sync||!1,this.options.listConfigUrls=t.customConfigFile?[t.customConfigFile]:Array.isArray(t.apiKey)?E.Config.url(t.apiKey):E.Config.url(t.apiKey.split(","))}O.prototype=Object.create(v.prototype,{}),O.prototype.constructor=O,O.prototype.buildRequest=function(t,e){this.listConfigUrls=this.options.listConfigUrls,this.listConfigUrls?e.call(this,this.listConfigUrls):t.call(this,new Error("url by default not found !"))},O.prototype.callService=function(t,e){this.options.sync?C.call(this,t,e):A.call(this,t,e)};var A=function(t,e){var r=this;this.listConfigResults=[];var s=null;if("undefined"==typeof window){var n=o(2);s=n}else s=window.fetch;for(var i=function(t){return s(t,{credentials:"same-origin"}).then((function(t){if(t.ok)return t.json().then((function(t){return t})).catch((function(t){throw new Error("Exception Json : "+t)}));throw new Error("Exception HTTP : "+t.status+" (status code) !")})).catch((function(t){return new Promise((function(e,o){o(t)}))}))},a=[],c=0;c<this.listConfigUrls.length;c++){var l=this.listConfigUrls[c];a.push(i(l))}Promise.all(a).then((function(t){if(!t)throw new Error("results config empty !?");t.forEach((function(t){r.listConfigResults.push(t)}))})).then((function(){e.call(r,r.listConfigResults)})).catch((function(e){t.call(r,e)}))},C=function(t,e){this.listConfigResults=[];for(var o=0;o<this.listConfigUrls.length;o++){var r=this.listConfigUrls[o],s=new XMLHttpRequest;if(s.open("GET",r,!1),s.send(null),200===s.status){var n=JSON.parse(s.responseText);this.listConfigResults.push(n)}}0!==this.listConfigResults.length?e.call(this,this.listConfigResults):t.call(this,new Error("..."))};O.prototype.analyzeResponse=function(t,e){var o=function(t){for(var e={},o={},r={},s=0;s<t.length;s++){if(!t[s].generalOptions||!t[s].layers)return;o=T(T({},o),t[s].generalOptions.apiKeys),e=T(T({},e),t[s].layers),r=T(T({},r),t[s].tileMatrixSets)}return{generalOptions:{apiKeys:o},layers:e,tileMatrixSets:r}}(this.listConfigResults);if(o){var r=new R;Object.assign(r,o);var s="undefined"!=typeof window?window:{};if(s.Gp||(s.Gp={}),s.Gp.Config)for(var n in Object.assign(s.Gp.Config,r),r)s.Gp.Config[n]=r[n];else s.Gp.Config=r;e.call(this,s.Gp.Config)}else t.call(this,new Error("configuration structure not conforme !"))};var M=O;function x(t){if(!(this instanceof x))throw new TypeError("AltiRequest constructor cannot be called as a function.");this.logger=s.getLogger(),this.logger.trace("[Constructeur AltiRequest ()]"),this.options=t||{},this.positions=this.options.positions||[],this.delimiter=this.options.delimiter||"|",this.indent=this.options.indent||!1,this.crs=this.options.crs||"CRS:84",this.format=this.options.format||"json",this.resource=this.options.resource,this.measures=this.options.measures||!1}x.CLASSNAME="AltiRequest",x.prototype={constructor:x,setPositions:function(t){for(var e=[],o=0;o<t.length;o++){var r=t[o];r.lon&&r.lat&&e.push(r)}this.positions=e},getPositions:function(t){if(!t)return this.positions;var e=this.positions.length-1;return t>e||t<e?(this.logger.warn("index out of range !"),this.positions):this.positions[t]},addPositions:function(t){for(var e=0;e<t.length;e++){var o=t[e];o.lon&&o.lat&&this.positions.push(t[e])}},getLon:function(){for(var t=[],e=0;e<this.positions.length;e++)t.push(this.positions[e].lon);return this.logger.trace(t),t.join(this.delimiter)},getLat:function(){for(var t=[],e=0;e<this.positions.length;e++)t.push(this.positions[e].lat);return this.logger.trace(t),t.join(this.delimiter)}},x.prototype.getData=function(){var t=[];return t.push({k:"lon",v:this.getLon()}),t.push({k:"lat",v:this.getLat()}),t.push({k:"delimiter",v:this.delimiter}),t.push({k:"indent",v:this.indent}),t.push({k:"crs",v:this.crs}),t.push({k:"format",v:this.format}),t};var I=x;function N(t){if(!(this instanceof N))throw new TypeError("AltiElevationRequest constructor cannot be called as a function.");this.CLASSNAME="AltiElevationRequest",I.apply(this,arguments),this.logger=s.getLogger(),this.logger.trace("[Constructeur AltiElevationRequest ()]"),this.zonly=this.options.zonly||!1}N.prototype=Object.create(I.prototype,{zonly:{get:function(){return this._zonly},set:function(t){this._zonly=t}}}),N.prototype.constructor=N,N.prototype.getData=function(){var t=[];return t.push({k:"lon",v:this.getLon()}),t.push({k:"lat",v:this.getLat()}),t.push({k:"indent",v:this.indent}),t.push({k:"crs",v:this.crs}),t.push({k:"zonly",v:this.zonly}),t.push({k:"format",v:this.format}),t.push({k:"resource",v:this.resource}),t};var k=N;function L(t){if(!(this instanceof L))throw new TypeError("AltiProfilRequest constructor cannot be called as a function.");this.CLASSNAME="AltiProfilRequest",I.apply(this,arguments),this.logger=s.getLogger(),this.logger.trace("[Constructeur AltiProfilRequest ()]"),this.sampling=this.options.sampling||3}L.prototype=Object.create(I.prototype,{sampling:{get:function(){return this._sampling},set:function(t){this._sampling=t}}}),L.prototype.constructor=L,L.prototype.getData=function(){var t=[];return t.push({k:"lon",v:this.getLon()}),t.push({k:"lat",v:this.getLat()}),t.push({k:"indent",v:this.indent}),t.push({k:"crs",v:this.crs}),t.push({k:"sampling",v:this.sampling}),t.push({k:"format",v:this.format}),t.push({k:"resource",v:this.resource}),t};var U=L;function q(t){if(this.logger=s.getLogger("AltiRequestREST"),this.logger.trace("[Constructeur AltiRequestREST ()]"),!(this instanceof q))throw new TypeError("AltiRequestREST constructor cannot be called as a function.");if(this.options=t||{},!this.options)throw new Error(n.getMessage("PARAM_EMPTY","options"));if(!this.options.type)throw new Error(n.getMessage("PARAM_EMPTY","type (Elevation or Profil)"));switch(this.DataObject=null,this.options.type){case"Elevation":this.DataObject=new k(this.options.param);break;case"Profil":this.DataObject=new U(this.options.param);break;default:throw new Error(n.getMessage("PARAM_TYPE","type (Elevation or Profil)"))}this.method=this.options.method||"GET"}q.prototype={requestString:null,constructor:q,template:{get:{value:"lon=__LON__&lat=__LAT__&indent=__INDENT__&crs='__CRS__'&resource=__RESOURCE__&measures=__MEASURES__",input:{point:"&zonly=__ZONLY__",profil:"&sampling=__SAMPLING__"}},post:{value:"lon=__LON__\nlat=__LAT__\nindent=__INDENT__\ncrs='__CRS__'\nresource='__RESOURCE__'\nmeasures='__MEASURES__'\n",input:{point:"zonly=__ZONLY__\n",profil:"sampling=__SAMPLING__"}}},processRequestString:function(){this.logger.trace("AltiRequestREST::processRequestString ()");var t="";return"POST"===this.method?t=this.template.post.value:"GET"===this.method&&(t=this.template.get.value),t=(t=(t=(t=(t=(t=t.replace(/__LON__/g,this.DataObject.getLon())).replace(/__LAT__/g,this.DataObject.getLat())).replace(/__INDENT__/g,this.DataObject.indent)).replace(/__CRS__/g,this.DataObject.crs)).replace(/__RESOURCE__/g,this.DataObject.resource)).replace(/__MEASURES__/g,this.DataObject.measures),t+=this.__addDataInputs(),this.logger.trace("traduction tmpl",t),this.requestString=t,this.requestString},__addDataInputs:function(){var t;if(this.logger.trace("AltiRequestREST::addDataInput ()"),"POST"===this.method)t=this.template.post;else{if("GET"!==this.method)throw new Error("No other HTTP method supported by the service !");t=this.template.get}if("AltiElevationRequest"===this.DataObject.CLASSNAME)return t.input.point.replace(/__ZONLY__/g,this.DataObject.zonly.toString());if("AltiProfilRequest"===this.DataObject.CLASSNAME)return t.input.profil.replace(/__SAMPLING__/g,this.DataObject.sampling);throw new Error("No other object supported than elevation or profil !?")}};var j=q;function D(t){if(this.logger=s.getLogger(),this.logger.trace("[Constructeur WPS()]"),!(this instanceof D))throw new TypeError("WPS constructor cannot be called as a function.");if(this.options=t||{},this.DataObject=this.options.data,!this.DataObject)throw new TypeError("This data object is not defined !");this.paramservice=this.options.param.service||"WPS",this.paramversion=this.options.param.version||"1.0.0",this.paramidentifier=this.options.param.identifier||"gs:WPS",this.paramrawdataoutput=this.options.param.rawdataoutput||"result",this.paramrequest=this.options.param.request||"Execute",this.method=this.options.method||"GET"}D.prototype={requestString:null,constructor:D,template:{get:{value:"service=__SERVICE__&version=__VERSION__&rawdataoutput=__RAWDATAOUTPUT__&identifier=__IDENTIFIER__&request=__REQUEST__&datainputs=\x3c!-- __DATAINPUTS__ --\x3e",input:"__KEY__=__DATA__"},post:{value:'<?xml version="1.0" encoding="UTF-8"?><wps:__REQUEST__ version="__VERSION__" service="__SERVICE__" __NAMESPACE__ __SCHEMALOCATION__><ows:Identifier>__IDENTIFIER__</ows:Identifier><wps:DataInputs>\x3c!-- __DATAINPUTS__ --\x3e</wps:DataInputs><wps:ResponseForm><wps:RawDataOutput><ows:Identifier>__RAWDATAOUTPUT__</ows:Identifier></wps:RawDataOutput></wps:ResponseForm></wps:__REQUEST__>',input:"<wps:Input><ows:Identifier>__KEY__</ows:Identifier><wps:Data><wps:LiteralData>__DATA__</wps:LiteralData></wps:Data></wps:Input>"}},namespaceByDefault:function(){return['xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"','xmlns="http://www.opengis.net/wps/1.0.0"','xmlns:wfs="http://www.opengis.net/wfs"','xmlns:wps="http://www.opengis.net/wps/1.0.0"','xmlns:ows="http://www.opengis.net/ows/1.1"','xmlns:gml="http://www.opengis.net/gml"','xmlns:ogc="http://www.opengis.net/ogc"','xmlns:wcs="http://www.opengis.net/wcs/1.1.1"','xmlns:xlink="http://www.w3.org/1999/xlink"'].join(" ")},schemaLocationByDefault:function(){return'xsi:schemaLocation="http://www.opengis.net/wps/1.0.0 http://schemas.opengis.net/wps/1.0.0/wpsAll.xsd"'},processRequestString:function(){this.logger.trace("WPS::processRequestString ()");var t="";if("POST"===this.method)t=this.template.post.value;else{if("GET"!==this.method)return this.logger.error("No other method supported by the service !"),!1;t=this.template.get.value}return t=(t=(t=(t=(t=t.replace(/__SERVICE__/g,this.paramservice)).replace(/__VERSION__/g,this.paramversion)).replace(/__RAWDATAOUTPUT__/g,this.paramrawdataoutput)).replace(/__IDENTIFIER__/g,this.paramidentifier)).replace(/__REQUEST__/g,this.paramrequest),"POST"===this.method&&(t=(t=t.replace(/__NAMESPACE__/g,this.namespaceByDefault)).replace(/__SCHEMALOCATION__/g,this.schemaLocationByDefault)),(t=t.replace(/<!-- __DATAINPUTS__ -->/g,this.__addDataInputs()))?(this.requestString=t,this.logger.trace("traduction tmpl",t),!0):(this.logger.warn("traduction tmpl : empty request !?"),!1)},__addDataInputs:function(){this.logger.trace("WPS::__addDataInputs ()");for(var t,e="GET"===this.method?this.template.get.input:this.template.post.input,o="GET"===this.method?";":"",r="",s=this,n=this.DataObject.getData(),i=0;i<n.length;i++)t=i,o&&(o=t===n.length-1?"":";"),r=r.concat(s.__addDataInput(e,n[t].k,n[t].v),o);return r},__addDataInput:function(t,e,o){var r=t;return r=(r=r.replace(/__KEY__/g,e)).replace(/__DATA__/g,o)},setMethod:function(t){"GET"===t||"POST"===t?this.method=t:this.logger.warn("support only GET and POST method !")},getMethod:function(){return this.method}};var G=D,F={build:function(t){if(s.getLogger("AltiRequestWPS").trace(["AltiRequestWPS::build()"]),!t)throw new Error(n.getMessage("PARAM_EMPTY","options"));if(!t.type)throw new Error(n.getMessage("PARAM_EMPTY","type (Elevation or Profil)"));var e=null;switch(t.type){case"Elevation":t.wps.identifier="gs:WPSElevation",e=new k(t.param);break;case"Profil":t.wps.identifier="gs:WPSLineElevation",e=new U(t.param);break;default:throw new Error(n.getMessage("PARAM_TYPE","type (Elevation or Profil)"))}var o={data:e,method:t.method,param:t.wps},r=new G(o);if(!r.processRequestString())throw new Error("Enable to process request !");return r.requestString}},V={build:function(t){s.getLogger("AltiRequestFactory").trace(["AltiRequestFactory::build()"]);var e=null,o={type:t.sampling?"Profil":"Elevation",method:t.httpMethod,param:{positions:null,delimiter:null,indent:null,crs:null,format:null,sampling:null,zonly:null,measures:null}};o.param.positions=t.positions,o.param.format=t.outputFormat,o.param.sampling=t.sampling,o.param.zonly=t.zonly,o.param.measures=t.measures,o.param.resource=t.resource;var r=!(null===t.onError||"function"!=typeof t.onError),n=!(null===t.onSuccess||"function"!=typeof t.onSuccess),i=null;switch(t.api){case"REST":var a=new j(o);if(!a.processRequestString()){if(i="Error in process request (rest) !",r)return void t.onError.call(t.scope,new g(i));throw new Error(i)}e=a.requestString;break;case"WPS":if(o.wps={service:null,version:null,identifier:null,rawdataoutput:null,request:null},!(e=F.build(o))){if(i="Error in process request (wps) !",r)return void t.onError.call(t.scope,new g(i));throw new Error(i)}break;default:if(i="Type of API is not supported by service (REST or WPS) !",r)return void t.onError.call(t.scope,new g(i));throw new Error(i)}return n&&t.onSuccess.call(t.scope,e),e}};function Y(t){if(!(this instanceof Y))throw new TypeError("XML constructor cannot be called as a function.");this.logger=s.getLogger(),this.logger.trace("[Constructeur XML ()]"),this.xmlString=null,this.xmlDoc=null,this.reader=null,t&&(t.xmlString&&"string"==typeof t.xmlString&&(this.xmlString=t.xmlString,this.xmlDoc=X(t.xmlString)),t.reader&&this.setReader(t.reader))}function X(t){if("undefined"==typeof window)return(new(0,o(3).DOMParser)).parseFromString(t,"text/xml");var e,r,s="Erreur lors du parsing de la réponse du service : XML non conforme";if(window.ActiveXObject){(r=new window.ActiveXObject("Microsoft.XMLDOM")).async=!1,r.loadXML(t);var n=r.parseError;if(n.errorCode)throw n.line&&n.linepos&&(s+="( ligne "+n.line+", colonne "+n.linepos),n.reason&&(s+=":  "+n.reason+")"),new Error(s);return r}if(window.DOMParser){e=new window.DOMParser;try{r=e.parseFromString(t,"text/xml")}catch(t){throw"SyntaxError"===t.message?new Error(s):new Error("Erreur lors du parsing de la réponse du service : "+t.message)}if(r.getElementsByTagName("parsererror").length>0)for(var i=r.getElementsByTagName("parsererror"),a=0;a<i.length;a++){var c=i[a].innerHTML;if(-1===c.indexOf("Huge input lookup"))throw s+="("+c+")",new Error(s)}else if(!r.documentElement)throw new Error(s);return r}throw new Error("Incompatible DOM Parser pour ce navigateur !")}Y.prototype={constructor:Y,getXMLString:function(){return this.xmlString},setXMLString:function(t){t&&"string"==typeof t&&(this.xmlString=t,this.xmlDoc=X(t))},getReader:function(){return this.reader},setReader:function(t){t&&t.read&&"function"==typeof t.read&&(this.reader=t)},getXMLDoc:function(){return this.xmlDoc},setXMLDoc:function(t){this.xmlDoc=t},parse:function(){if(!this.xmlDoc&&this.xmlString&&(this.xmlDoc=X(this.xmlString)),this.xmlDoc){var t,e=function(t){var e;9===t.nodeType?e=t.documentElement:1===t.nodeType&&(e=t);return e}(this.xmlDoc);return e?(this.reader&&this.reader.read?t=this.reader.read(e):(t={})[e.nodeName]=function t(e){var o={};if(e.attributes.length>0){var r=function(t){if(t.attributes.length>0){for(var e={},o=t.attributes,r=0;r<o.length;r++){var s=o[r];e[s.nodeName]=s.nodeValue}return e}}(e);o.attributes=r}if(e.hasChildNodes())for(var s,n={},i=e.childNodes,a=0;a<i.length;a++)if(3===(s=i[a]).nodeType)o.textContent=s.nodeValue;else if(1===s.nodeType)if(n=t(s),o[s.nodeName]){if(!Array.isArray(o[s.nodeName])){var c=o[s.nodeName];o[s.nodeName]=[],o[s.nodeName].push(c)}o[s.nodeName].push(n)}else o[s.nodeName]=n;return o}(e),t):{}}}};var z=Y;function H(){if(!(this instanceof H))throw new TypeError("AltiResponse constructor cannot be called as a function.");this.elevations=[]}H.prototype={constructor:H};var J=H;function K(){if(!(this instanceof K))throw new TypeError("Elevation constructor cannot be called as a function.");this.z=null}K.prototype={constructor:K};var W=K;function B(){if(!(this instanceof B))throw new TypeError("Measure constructor cannot be called as a function.");this.source_name=null,this.source_measure=null,this.z=null,this.acc=null}B.prototype={constructor:B};var Q=B,Z={};Z.READERS={elevations:function(t){var e=new J;if(t.hasChildNodes())for(var o,r,s=t.childNodes,n=0;n<s.length;n++)o=s[n],Z.READERS[o.nodeName]&&(r=Z.READERS[o.nodeName](o),e.elevations.push(r));return e},elevation:function(t){var e=new W;if(t.hasChildNodes())for(var o,r=t.childNodes,s=0;s<r.length;s++)o=r[s],Z.READERS[o.nodeName]&&Z.READERS[o.nodeName](o,e);return e},lat:function(t,e){var o=t.firstChild;if(!o||3!==o.nodeType)throw new Error("Erreur dans la lecture de la réponse du service : latitude attendue mais absente");e.lat=parseFloat(o.nodeValue)},lon:function(t,e){var o=t.firstChild;if(!o||3!==o.nodeType)throw new Error("Erreur dans la lecture de la réponse du service : longitude attendue mais absente");e.lon=parseFloat(o.nodeValue)},z:function(t,e){var o=t.firstChild;if(!o||3!==o.nodeType)throw new Error("Erreur dans la lecture de la réponse du service : altitude attendue mais absente");if(!e)return(e=new W).z=parseFloat(o.nodeValue),e;e.z=parseFloat(o.nodeValue)},acc:function(t,e){var o=t.firstChild;if(!o||3!==o.nodeType)throw new Error("Erreur dans la lecture de la réponse du service : précision (acc) attendue mais absente");e.acc=parseFloat(o.nodeValue)},source_name:function(t,e){var o=t.firstChild;if(!o||3!==o.nodeType)throw new Error("Erreur dans la lecture de la réponse du service : source_name attendue mais absente");e.source_name=o.nodeValue},source_measure:function(t,e){var o=t.firstChild;if(!o||3!==o.nodeType)throw new Error("Erreur dans la lecture de la réponse du service : source_measure attendue mais absente");e.source_measure=o.nodeValue},measures:function(t,e){var o;if(e.measures=[],t.hasChildNodes())for(var r,s=t.childNodes,n=0;n<s.length;n++){o=new Q,r=s[n].childNodes;for(var i=0;i<r.length;i++){if(!Z.READERS[r[i].nodeName])throw new Error("Erreur dans la lecture de la réponse du service : measures attendues mais absentes");Z.READERS[r[i].nodeName](r[i],o)}e.measures.push(o)}},exceptionreport:function(t){var e={};if(t.hasChildNodes())for(var o,r=t.childNodes,s=0;s<r.length;s++)"Exception"===(o=r[s]).nodeName&&(e.exceptionReport=Z.READERS.exception(o));return e},exception:function(t){var e={},o=t.getAttribute("exceptionCode");o&&(e.exceptionCode=o);var r=t.firstChild;return r&&3===r.nodeType&&(e.exception=r.nodeValue),e},error:function(t){var e={error:{}};if(t.hasChildNodes())for(var o,r=t.childNodes,s=0;s<r.length;s++){var n;1===(o=r[s]).nodeType&&"code"===o.nodeName&&(n=o.firstChild)&&3===n.nodeType&&(e.error.code=n.nodeValue),1===o.nodeType&&"description"===o.nodeName&&(n=o.firstChild)&&3===n.nodeType&&(e.error.description=n.nodeValue)}return e}},Z.read=function(t){if("elevations"===t.nodeName)return Z.READERS.elevations(t);if("ExceptionReport"===t.nodeName)return Z.READERS.exceptionreport(t);if("error"===t.nodeName)return Z.READERS.error(t);throw new Error("Erreur lors de la lecture de la réponse : elle n'est pas au format attendu.")};var $=Z;function tt(t){return(tt="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t})(t)}var et={build:function(t){var e=s.getLogger("AltiResponseFactory");e.trace(["AltiResponseFactory::build()"]);var o=null;if(t.response){if(t.rawResponse)e.trace("analyze response : raw"),o=t.response;else{switch(t.outputFormat){case"xml":e.trace("analyze response : xml");try{var r=new z({reader:$});if("string"==typeof t.response?r.setXMLString(t.response):r.setXMLDoc(t.response),!(o=r.parse()))throw new Error(n.getMessage("SERVICE_RESPONSE_EXCEPTION_2"))}catch(e){var i=e.message;return void t.onError.call(t.scope,new g({message:n.getMessage("SERVICE_RESPONSE_EXCEPTION",i),status:200,type:g.TYPE_SRVERR}))}break;case"json":e.trace("analyze response : json"),e.trace("analyze response : ",tt(t.response));var a=null;if((a="string"==typeof t.response?JSON.parse(t.response):t.response)&&a.error)return void t.onError.call(t.scope,new g({message:n.getMessage("SERVICE_RESPONSE_EXCEPTION",a.error.description),status:200,type:g.TYPE_SRVERR}));if(a){var c,l=a.elevations,u=new J;if(Array.isArray(l)&&l.length)for(var p=0;p<l.length;p++)c=new W,"object"===tt(l[p])?(l[p].lon&&(c.lon=l[p].lon),l[p].lat&&(c.lat=l[p].lat),l[p].z&&(c.z=l[p].z),l[p].acc&&(c.acc=l[p].acc),l[p].measures&&(c.measures=l[p].measures)):"number"==typeof l[p]&&(c.z=l[p]),Array.isArray(u.elevations)&&u.elevations.push(c);o=u}if(!o)return void t.onError.call(t.scope,new g({message:n.getMessage("SERVICE_RESPONSE_ANALYSE_2"),type:g.TYPE_UNKERR,status:-1}));break;default:return void t.onError.call(t.scope,new g({message:n.getMessage("SERVICE_RESPONSE_FORMAT_2"),type:g.TYPE_UNKERR,status:-1}))}if(o.exceptionReport)return void t.onError.call(t.scope,new g({message:n.getMessage("SERVICE_RESPONSE_EXCEPTION",o.exceptionReport),type:g.TYPE_SRVERR,status:200}));if(o.error){var h=o.error.description;return void t.onError.call(t.scope,new g({message:n.getMessage("SERVICE_RESPONSE_EXCEPTION",h),type:g.TYPE_SRVERR,status:200}))}}t.onSuccess.call(t.scope,o)}else t.onError.call(t.scope,new g(n.getMessage("SERVICE_RESPONSE_EMPTY")))}};function ot(t){if(!(this instanceof ot))throw new TypeError(n.getMessage("CLASS_CONSTRUCTOR","Alti"));if(this.CLASSNAME="Alti",v.apply(this,arguments),this.logger=s.getLogger("Gp.Services.Alti"),this.logger.trace("[Constructeur Alti (options)]"),!t.positions)throw new Error(n.getMessage("PARAM_MISSING","positions"));if(0===t.positions.length)throw new Error(n.getMessage("PARAM_EMPTY","positions"));if(this.options.positions=t.positions,this.options.outputFormat="string"==typeof t.outputFormat?t.outputFormat.toLowerCase():"xml",this.options.resource=t.resource||"ign_rge_alti_wld",this.options.sampling=t.sampling||null,this.options.api="string"==typeof t.api?t.api.toUpperCase():"REST","REST"===this.options.api&&(this.options.httpMethod="GET"),this.options.zonly=t.zonly||!1,this.options.measures=t.measures||!1,!this.options.serverUrl){var e=E.Alti.newUrl(),o=null;switch(this.options.api){case"WPS":o=e.wps;break;case"REST":var r=(t.sampling?"profil":"elevation")+"-"+this.options.outputFormat;o=e[r];break;default:throw new Error(n.getMessage("PARAM_UNKNOWN","api"))}if(!o)throw new Error("Url by default not found !");this.options.serverUrl=o,this.logger.trace("Server URL by default : "+this.options.serverUrl)}var i=this.options.serverUrl.lastIndexOf(".");if(-1!==i){var a=this.options.serverUrl.substring(i+1);if(a&&a.length<5)switch(this.logger.trace("Server Extension URL : "+a),a.toLowerCase()){case"json":case"xml":this.options.outputFormat=a.toLowerCase();break;default:throw new Error("type of service : unknown or unsupported (json or xml) !")}}}ot.prototype=Object.create(v.prototype,{}),ot.prototype.constructor=ot,ot.prototype.buildRequest=function(t,e){var o={httpMethod:this.options.httpMethod,onSuccess:function(t){this.request=t,e.call(this,this.request)},onError:t,scope:this,resource:this.options.resource,positions:this.options.positions,outputFormat:this.options.outputFormat,sampling:this.options.sampling,api:this.options.api,zonly:this.options.zonly,measures:this.options.measures};V.build(o)},ot.prototype.analyzeResponse=function(t,e){if(this.response){var o={response:this.response,outputFormat:this.options.outputFormat,rawResponse:this.options.rawResponse,onError:t,onSuccess:e,scope:this};et.build(o)}else t.call(this,new g(n.getMessage("SERVICE_RESPONSE_EMPTY")))};var rt=ot;function st(t){if(!(this instanceof st))throw new TypeError("GeocodeParamREST constructor cannot be called as a function.");if(this.logger=s.getLogger(),this.logger.trace("[Constructeur GeocodeParamREST ()]"),this.options=t||{},!this.options.geocodeMethod||"search"!==this.options.geocodeMethod&&"reverse"!==this.options.geocodeMethod)throw new Error("Error geocodeMethod not valid");this.geocodeMethod=this.options.geocodeMethod,this.query=void 0!==this.options?this.options.query:null,this.searchGeometry=this.options.searchGeometry||null,this.index=this.options.index||null,this.lon=this.options.position&&this.options.position.lon?this.options.position.lon:null,this.lat=this.options.position&&this.options.position.lat?this.options.position.lat:null,this.maxResp=this.options.maxResp||null,this.returnTrueGeometry=this.options.returnTrueGeometry||null,this.filters=this.options.filters||{}}st.CLASSNAME="GeocodeParamREST",st.prototype={constructor:st,getFilters:function(){var t={};for(var e in this.filters)this.filters.hasOwnProperty(e)&&(t[e]=this.filters[e]);return t},getIndex:function(){return void 0===this.index?null:"StreetAddress"===this.index?"address":"CadastralParcel"===this.index?"parcel":"PositionOfInterest"===this.index?"poi":"location"===this.index?"location":this.index},getSearchGeometry:function(){return JSON.stringify(this.searchGeometry)}},st.prototype.getParams=function(){var t=[];"search"===this.geocodeMethod&&t.push({k:"q",v:this.query}),this.index&&t.push({k:"index",v:this.getIndex()}),"reverse"===this.geocodeMethod&&this.searchGeometry&&t.push({k:"searchgeom",v:this.getSearchGeometry()}),this.lon&&this.lat&&(t.push({k:"lon",v:this.lon}),t.push({k:"lat",v:this.lat})),this.maxResp&&t.push({k:"limit",v:this.maxResp}),this.returnTrueGeometry&&t.push({k:"returntruegeometry",v:this.returnTrueGeometry});var e=this.getFilters();for(var o in e)t.push({k:o,v:e[o]});return t};var nt=st;function it(t){if(this.logger=s.getLogger("GeocodeRequestREST"),this.logger.trace("[Constructeur GeocodeRequestREST ()]"),!(this instanceof it))throw new TypeError("GeocodeRequestREST constructor cannot be called as a function.");if(!t)throw new Error(n.getMessage("PARAM_EMPTY","options"));this.settings=t}it.prototype={requestString:null,constructor:it,processRequestString:function(){for(var t="",e=new nt(this.settings).getParams(),o=0;o<e.length;o++){var r=e[o];t&&(t+="&"),t+=r.k+"="+r.v}if(!this.settings.geocodeMethod||"search"!==this.settings.geocodeMethod&&"reverse"!==this.settings.geocodeMethod)throw new Error("Error geocodeMethod not valid");return this.requestString="?"+t,this.logger.trace(this.requestString),this.requestString}};var at=it,ct={build:function(t){var e=s.getLogger("GeocodeRequestFactory");e.trace(["GeocodeRequestFactory::build()"]);var o=new at(t||{});if(!o.processRequestString())throw new Error("Error process request (rest) !");var r=o.requestString;return e.trace(r),r}};function lt(){if(!(this instanceof lt))throw new TypeError("GeocodeResponse constructor cannot be called as a function.");this.locations=[]}lt.prototype={constructor:lt};var ut=lt;function pt(){if(!(this instanceof pt))throw new TypeError("GeocodedLocation constructor cannot be called as a function.");this.position=null,this.matchType=null,this.placeAttributes={},this.type=null,this.accuracy=null,this.CLASSNAME="GeocodedLocation"}pt.prototype={constructor:pt};var ht=pt;function ft(){if(!(this instanceof ft))throw new TypeError("GeocodeResponseParser constructor cannot be called as a function.")}function dt(t,e){var o=new ht;if(t.geometry&&"Point"===t.geometry.type&&(o.position={lon:t.geometry.coordinates[0],lat:t.geometry.coordinates[1]}),t.properties){for(var r in t.properties)"score"===r?o.accuracy=t.properties[r]:"_type"===r?"address"===t.properties[r]?o.type="StreetAddress":"poi"===t.properties[r]?o.type="PositionOfInterest":"parcel"!==t.properties[r]&&"cadastral"!==t.properties[r]||(o.type="CadastralParcel"):o.placeAttributes[r]=t.properties[r];"address"===t.properties._type&&(o.matchType=void 0!==t.properties.number&&null!==t.properties.number?"street number":"street")}e.locations.push(o)}ft.prototype={constructor:ft,parse:function(t){var e=new ut,o=JSON.parse(t);if("FeatureCollection"===o.type)for(var r=0;r<o.features.length;++r)dt(o.features[r],e);else{if("Feature"!==o.type){if("SERVICE_ERROR"===o.type)return{exceptionReport:o};var s=n.getMessage("SERVICE_RESPONSE_ANALYSE",o.type);throw new g({message:s,type:g.TYPE_UNKERR,status:200})}dt(o,e)}return e}};var gt=ft,mt={build:function(t){var e=null;if(t.response){if(t.rawResponse)e=t.response;else{try{if(!(e=(new gt).parse(t.response)))throw new Error("L'analyse de la réponse du service !?")}catch(e){var o=e.message;return"string"==typeof t.response?o+="('"+t.response+"')":o+="('"+t.response.documentElement.innerHTML+"')",void t.onError.call(t.scope,new g({message:n.getMessage("SERVICE_RESPONSE_ANALYSE",o),type:g.TYPE_UNKERR,status:-1}))}if(e.exceptionReport)return void t.onError.call(t.scope,new g({message:n.getMessage("SERVICE_RESPONSE_EXCEPTION",e.exceptionReport),type:g.TYPE_SRVERR,status:200}))}t.onSuccess.call(t.scope,e)}else t.onError.call(t.scope,new g({message:n.getMessage("SERVICE_RESPONSE_EMPTY"),type:g.TYPE_SRVERR,status:-1}))}};function yt(t){return(yt="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t})(t)}function vt(t){if(!(this instanceof vt))throw new TypeError(n.getMessage("CLASS_CONSTRUCTOR","Geocode"));this.CLASSNAME="Geocode",this.logger=s.getLogger("Gp.Services.Geocode"),this.logger.trace("[Constructeur Geocode (options)]");var e=this.patchOptionConvertor(t);if(e.serverUrl||(e.serverUrl=E.Geocode.newUrl()),v.apply(this,[e]),!e.hasOwnProperty("query"))throw new Error(n.getMessage("PARAM_MISSING","query"));if(this.options.query=e.query,e.index||(this.options.index=e.index="StreetAddress"),e.filters)for(var o=Object.keys(e.filters),r=0;r<o.length;r++){var i=o[r];(void 0===e.filters[i]||"object"===yt(e.filters[i])&&0===Object.keys(e.filters[i]).length||"string"==typeof e.filters[i]&&0===e.filters[i].length||Array.isArray(e.filters[i])&&0===e.filters[i].length)&&delete this.options.filters[i]}this.options.index=e.index||"StreetAddress",this.options.maximumResponses=e.maximumResponses||20}vt.prototype=Object.create(v.prototype,{}),vt.prototype.constructor=vt,vt.prototype.patchOptionConvertor=function(t){var e=t;return e.hasOwnProperty("location")&&(this.logger.warn("The parameter 'location' is deprecated"),e.query||(e.query=e.location),delete e.location),e.filterOptions&&(this.logger.warn("The parameter 'filterOptions' is deprecated"),e.filters||(e.filters=e.filterOptions,e.filters.type&&(this.logger.warn("The parameter 'filterOptions.type' is deprecated"),e.index||(Array.isArray(e.filters.type)&&e.filters.type.length>0?e.index=e.filters.type[0]:e.index=e.filters.type),delete e.filters.type),e.filters.bbox&&(this.logger.warn("The parameter 'filterOptions.bbox' is deprecated"),delete e.filters.bbox)),delete e.filterOptions),e.position&&(e.position.x&&(this.logger.warn("The parameter 'position.x' is deprecated"),e.position.lon||(e.position.lon=e.position.x),delete e.position.x),e.position.y&&(this.logger.warn("The parameter 'position.y' is deprecated"),e.position.lat||(e.position.lat=e.position.y),delete e.position.y)),e.returnFreeForm&&(this.logger.warn("The parameter 'returnFreeForm' is deprecated"),delete e.returnFreeForm),e.srs&&(this.logger.warn("The parameter 'srs' is deprecated"),delete e.srs),e},vt.prototype.buildRequest=function(t,e){var o={httpMethod:this.options.httpMethod,geocodeMethod:"search",query:this.options.query,index:this.options.index,returnTrueGeometry:this.options.returnTrueGeometry,position:this.options.position,maxResp:this.options.maximumResponses,filters:this.options.filters};this.request=ct.build(o),this.request?e.call(this,this.request):t.call(this,new g(n.getMessage("SERVICE_REQUEST_BUILD")))},vt.prototype.analyzeResponse=function(t,e){if(this.response){var o={response:this.response,rawResponse:this.options.rawResponse,onError:t,onSuccess:e,scope:this};mt.build(o)}else t.call(this,new g(n.getMessage("SERVICE_RESPONSE_EMPTY")))};var wt=vt;function Et(t){return(Et="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t})(t)}function St(t){if(!(this instanceof St))throw new TypeError(n.getMessage("CLASS_CONSTRUCTOR","ReverseGeocode"));this.CLASSNAME="ReverseGeocode",this.logger=s.getLogger("Gp.Services.ReverseGeocode"),this.logger.trace("[Constructeur ReverseGeocode (options)]");var e=this.patchOptionConvertor(t);if(e.serverUrl||(e.serverUrl=E.ReverseGeocode.newUrl()),v.apply(this,[e]),e.searchGeometry)this.options.searchGeometry=e.searchGeometry;else if(!e.position)throw new Error(n.getMessage("PARAM_MISSING","searchGeometry"));if(e.index||(this.options.index=e.index="StreetAddress"),e.filters)for(var o=Object.keys(e.filters),r=0;r<o.length;r++){var i=o[r];(void 0===e.filters[i]||"object"===Et(e.filters[i])&&0===Object.keys(e.filters[i]).length||"string"==typeof e.filters[i]&&0===e.filters[i].length||Array.isArray(e.filters[i])&&0===e.filters[i].length)&&delete this.options.filters[i]}this.options.position=e.position,this.options.index=e.index||"StreetAddress",this.options.maximumResponses=e.maximumResponses||20}St.prototype=Object.create(v.prototype,{}),St.prototype.constructor=St,St.prototype.patchOptionConvertor=function(t){var e=t;return e.filterOptions&&(this.logger.warn("The parameter 'filterOptions' is deprecated"),e.filterOptions.type&&(this.logger.warn("The parameter 'filterOptions.type' is deprecated"),e.index||(Array.isArray(e.filterOptions.type)&&e.filterOptions.type.length>0?e.index=e.filterOptions.type[0]:e.index=e.filterOptions.type),delete e.filterOptions.type),e.filterOptions.bbox&&(this.logger.warn("The parameter 'filterOptions.bbox' is deprecated"),e.searchGeometry||(e.searchGeometry=this.bbox2Json(e.filterOptions.bbox)),delete e.filterOptions.bbox),e.filterOptions.circle&&(this.logger.warn("The parameter 'filterOptions.circle' is deprecated"),e.searchGeometry||(e.searchGeometry=this.circle2Json(e.filterOptions.circle)),delete e.filterOptions.circle),e.filterOptions.polygon&&(this.logger.warn("The parameter 'filterOptions.polygon' is deprecated"),e.searchGeometry||(e.searchGeometry=this.polygon2Json(e.filterOptions.polygon)),delete e.filterOptions.polygon),!e.filters&&Object.keys(e.filterOptions).length>0&&(e.filters=e.filterOptions),delete e.filterOptions),e.position&&(e.position.x&&(this.logger.warn("The parameter 'position.x' is deprecated"),e.position.lon||(e.position.lon=e.position.x),delete e.position.x),e.position.y&&(this.logger.warn("The parameter 'position.y' is deprecated"),e.position.lat||(e.position.lat=e.position.y),delete e.position.y)),e.srs&&(this.logger.warn("The parameter 'srs' is deprecated"),delete e.srs),e},St.prototype.buildRequest=function(t,e){var o={httpMethod:this.options.httpMethod,geocodeMethod:"reverse",searchGeometry:this.options.searchGeometry,index:this.options.index,position:this.options.position,returnTrueGeometry:this.options.returnTrueGeometry,maxResp:this.options.maximumResponses,filters:this.options.filters};this.request=ct.build(o),this.request?e.call(this,this.request):t.call(this,new g(n.getMessage("SERVICE_REQUEST_BUILD")))},St.prototype.analyzeResponse=function(t,e){if(this.response){var o={response:this.response,rawResponse:this.options.rawResponse,onError:t,onSuccess:e,scope:this};mt.build(o)}else t.call(this,new g(n.getMessage("SERVICE_RESPONSE_EMPTY")))},St.prototype.bbox2Json=function(t){return{type:"Polygon",coordinates:[[[t.left,t.top],[t.right,t.top],[t.right,t.bottom],[t.left,t.bottom],[t.left,t.top]]]}},St.prototype.circle2Json=function(t){return{type:"Circle",radius:t.radius,coordinates:[t.x,t.y]}},St.prototype.polygon2Json=function(t){for(var e={type:"Polygon",coordinates:[[]]},o=0;o<t.length;++o)e.coordinates[0].push([t[o].x,t[o].y]);return e},St.geoEPSG=["EPSG:4326"];var Rt=St;function _t(){if(!(this instanceof _t))throw new TypeError("AutoCompleteResponse constructor cannot be called as a function.");this.suggestedLocations=[]}_t.prototype={constructor:_t};var bt=_t;function Tt(){if(!(this instanceof Tt))throw new TypeError("SuggestedLocation constructor cannot be called as a function.");this.type=null,this.position={x:null,y:null},this.commune=null,this.fullText=null,this.postalCode=null,this.classification=null,this.street=null,this.poi=null,this.kind=null}Tt.prototype={constructor:Tt};var Pt=Tt,Ot={build:function(t){var e=s.getLogger("AutoCompleteResponseFactory");e.trace(["AutoCompleteResponseFactory::build()"]);var o=null;if(t.response){if(t.rawResponse)e.trace("analyze response : raw"),o=t.response;else{var r=null;if(r="string"==typeof t.response?JSON.parse(t.response):t.response){if(r.error)return void t.onError.call(t.scope,new g({message:n.getMessage("SERVICE_RESPONSE_EXCEPTION",r.error.description),status:r.error.code,type:g.TYPE_SRVERR}));if(o=new bt,!r.results||!Array.isArray(r.results))return void t.onError.call(t.scope,new g(n.getMessage("SERVICE_RESPONSE_FORMAT_3")));for(var i=null,a=0;a<r.results.length;a++){var c=r.results[a];i=new Pt,c&&("StreetAddress"===c.country?(i.street=c.street,i.type="StreetAddress"):"PositionOfInterest"===c.country&&(i.poi=c.street,i.type="PositionOfInterest",i.poiType=c.poiType),i.position&&(i.position.x=c.x,i.position.y=c.y),i.kind=c.kind,i.commune=c.city,i.fullText=c.fulltext,i.postalCode=c.zipcode,i.classification=c.classification),o.suggestedLocations.push(i)}if(!o.suggestedLocations.length)return void t.onError.call(t.scope,new g(n.getMessage("SERVICE_RESPONSE_FORMAT_3")))}if(!o)return void t.onError.call(t.scope,new g({message:n.getMessage("SERVICE_RESPONSE_ANALYSE_2"),type:g.TYPE_UNKERR,status:-1}));if(o.exceptionReport)return void t.onError.call(t.scope,new g({message:n.getMessage("SERVICE_RESPONSE_EXCEPTION",o.exceptionReport),type:g.TYPE_SRVERR,status:200}))}t.onSuccess.call(t.scope,o)}else t.onError.call(t.scope,new g(n.getMessage("SERVICE_RESPONSE_EMPTY")))}};function At(t){if(!(this instanceof At))throw new TypeError(n.getMessage("CLASS_CONSTRUCTOR","AutoComplete"));this.CLASSNAME="AutoComplete",this.logger=s.getLogger("Gp.Services.AutoComplete"),this.logger.trace("[Constructeur AutoComplete (options)]");var e=this.patchOptionConvertor(t);if(e.serverUrl||(e.serverUrl=E.AutoComplete.newUrl()),v.apply(this,arguments),!e.text)throw new Error(n.getMessage("PARAM_MISSING","text"));this.options.text=e.text,e.type||(e.type=["StreetAddress,PositionOfInterest"]),this.options.type=e.type,this.options.territory=e.terr||"",this.options.maximumResponses=e.maximumResponses||10,"XHR"===this.options.protocol&&"POST"===this.options.httpMethod&&(this.logger.warn("Le service ne gére pas le mode d'interrogation en POST, on bascule sur du GET !"),this.options.httpMethod="GET"),this.options.outputFormat=this.options.rawResponse?"":"json"}At.prototype=Object.create(v.prototype,{}),At.prototype.constructor=At,At.prototype.patchOptionConvertor=function(t){var e=t;return e.filterOptions&&(this.logger.warn("The parameter 'filterOptions' is deprecated"),e.filterOptions.type&&(this.logger.warn("The parameter 'filterOptions.type' is deprecated"),e.type||(e.type=e.filterOptions.type)),e.filterOptions.territory&&(this.logger.warn("The parameter 'filterOptions.territory' is deprecated"),e.terr||(e.terr=e.filterOptions.territory)),delete e.filterOptions),e},At.prototype.buildRequest=function(t,e){var o="";this.options.territory&&(o=this.options.territory);var r="";this.options.type&&(r=this.options.type.join(",")),this.request=i.normalyzeParameters({text:encodeURIComponent(this.options.text),type:r,terr:o,maximumResponses:this.options.maximumResponses}),this.request?e.call(this,this.request):t.call(this,new g(n.getMessage("SERVICE_REQUEST_BUILD")))},At.prototype.analyzeResponse=function(t,e){if(this.response){var o={response:this.response,rawResponse:this.options.rawResponse,onSuccess:e,onError:t,scope:this};Ot.build(o)}else t.call(this,new g(n.getMessage("SERVICE_RESPONSE_EMPTY")))};var Ct=At;function Mt(t){if(!(this instanceof Mt))throw new TypeError("RouteParamREST constructor cannot be called as a function.");this.logger=s.getLogger(),this.logger.trace("[Constructeur RouteParamREST ()]"),this.options=t||{},this.resource=this.options.resource,this.start=this.options.startPoint.x+","+this.options.startPoint.y,this.end=this.options.endPoint.x+","+this.options.endPoint.y,this.intermediates=this.options.viaPoints,this.profile=this.options.graph,this.crs=this.options.srs,this.constraints=this.options.constraints,this.optimization=this.options.routePreference,this.getSteps=this.options.geometryInInstructions?"true":"false",this.distanceUnit=this.options.distanceUnit,this.timeUnit=this.options.timeUnit,this.waysAttributes=this.options.waysAttributes}Mt.CLASSNAME="RouteParamREST",Mt.prototype={constructor:Mt,getIntermediates:function(){var t=[];if(0!==this.intermediates.length)for(var e=0;e<this.intermediates.length;e++){var o=this.intermediates[e];t.push(o.x+","+o.y)}return t.join("|")},getWaysAttributes:function(){return this.waysAttributes.join("|")},getProfile:function(){return this.profile},getDistanceUnit:function(){return"m"===this.distanceUnit?"meter":"km"===this.distanceUnit?"kilometer":""},getOptimization:function(){return this.optimization?this.optimization:""},getConstraints:function(){var t=[];if(0!==this.constraints.length)for(var e=0;e<this.constraints.length;e++)t.push(JSON.stringify(this.constraints[e]));return t.join("|")}},Mt.prototype.getParams=function(){var t=[];return t.push({k:"resource",v:this.resource}),t.push({k:"start",v:this.start}),t.push({k:"end",v:this.end}),t.push({k:"geometryFormat",v:"geojson"}),this.optimization&&t.push({k:"optimization",v:this.getOptimization()}),this.intermediates&&t.push({k:"intermediates",v:this.getIntermediates()}),this.profile&&t.push({k:"profile",v:this.getProfile()}),this.constraints&&t.push({k:"constraints",v:this.getConstraints()}),this.crs&&t.push({k:"crs",v:this.crs}),this.distanceUnit&&t.push({k:"distanceUnit",v:this.getDistanceUnit()}),this.timeUnit&&t.push({k:"timeUnit",v:this.timeUnit}),this.waysAttributes&&t.push({k:"waysAttributes",v:this.getWaysAttributes()}),t};var xt=Mt;function It(t){if(this.logger=s.getLogger("RouteRequestREST"),this.logger.trace("[Constructeur RouteRequestREST ()]"),!(this instanceof It))throw new TypeError("RouteRequestREST constructor cannot be called as a function.");if(!t)throw new Error(n.getMessage("PARAM_EMPTY","options"));this.settings=t}It.prototype={requestString:null,constructor:It,processRequestString:function(){this.logger.warn(" PROTOTYPE !");for(var t=new xt(this.settings).getParams(),e="",o=0;o<t.length;o++){var r=t[o];e&&(e+="&"),e+=r.k+"="+r.v}return this.logger.trace(e),this.requestString=e,this.requestString}};var Nt=It,kt={build:function(t){s.getLogger("RouteRequestFactory").trace(["RouteRequestFactory::build()"]);var e=t||{},o=!(null===t.onError||"function"!=typeof t.onError),r=null,n=new Nt(e);if(!n.processRequestString()){if(r="Error process request (rest) !",o)return void t.onError.call(t.scope,new g(r));throw new Error(r)}return n.requestString}};function Lt(){if(!(this instanceof Lt))throw new TypeError("RouteResponse constructor cannot be called as a function.");this.totalTime=null,this.totalDistance=null,this.bbox={left:null,right:null,top:null,bottom:null},this.routeGeometry=null,this.routeInstructions=[]}Lt.prototype={constructor:Lt};var Ut=Lt;function qt(){if(!(this instanceof qt))throw new TypeError("RouteInstruction constructor cannot be called as a function.");this.duration=null,this.distance=null,this.code=null,this.instruction=null,this.geometry=null}qt.prototype={constructor:qt};var jt=qt,Dt={build:function(t){var e=s.getLogger("RouteResponseFactory");e.trace("RouteResponseFactory::build()");var o=null;if(t.response){if(t.rawResponse)e.trace("analyze response : raw"),o=t.response;else{var r;if(e.trace("analyze response : json"),r="string"==typeof t.response?JSON.parse(t.response):t.response){if(r.message)return void t.onError.call(t.scope,new g(n.getMessage("SERVICE_RESPONSE_EXCEPTION",r.message)));var i=[],a=[],c=[];if((o=new Ut).hasOwnProperty("totalTime")&&(o.totalTime=parseFloat(r.duration)),o.hasOwnProperty("totalDistance")&&(o.totalDistance=parseFloat(r.distance)),o.hasOwnProperty("bbox")&&(o.bbox.left=parseFloat(r.bbox[0]),o.bbox.bottom=parseFloat(r.bbox[1]),o.bbox.right=parseFloat(r.bbox[2]),o.bbox.top=parseFloat(r.bbox[3])),o.hasOwnProperty("routeGeometry")&&!t.geometryInInstructions&&(o.routeGeometry=r.geometry),o.hasOwnProperty("routeInstructions")&&t.geometryInInstructions){var l,u=r.portions;if(Array.isArray(u)&&u.length)for(l=0;l<u.length;l++)i.push(u[l]);if(i.length)for(l=0;l<i.length;l++)a.push(i[l].steps);if(a.length)for(l=0;l<a.length;l++)c=c.concat(a[l]);c.forEach((function(t){switch(o.routeInstructions.push(new jt),o.routeInstructions[o.routeInstructions.length-1].duration=t.duration,o.routeInstructions[o.routeInstructions.length-1].distance=t.distance,o.routeInstructions[o.routeInstructions.length-1].code="",o.routeInstructions[o.routeInstructions.length-1].instruction="",o.routeInstructions[o.routeInstructions.length-1].geometry=t.geometry,"Valeur non renseignée"===t.name&&(t.name=""),t.instruction.type){case"turn":o.routeInstructions[o.routeInstructions.length-1].instruction+="Tourner";break;case"new name":o.routeInstructions[o.routeInstructions.length-1].instruction+="Continuer tout droit";break;case"depart":o.routeInstructions[o.routeInstructions.length-1].instruction+="Départ";break;case"arrive":o.routeInstructions[o.routeInstructions.length-1].instruction+="Arrivée";break;case"merge":o.routeInstructions[o.routeInstructions.length-1].instruction+="Rejoindre";break;case"ramp":case"on ramp":o.routeInstructions[o.routeInstructions.length-1].instruction+="Prendre la bretelle";break;case"off ramp":o.routeInstructions[o.routeInstructions.length-1].instruction+="Prendre la sortie";break;case"fork":o.routeInstructions[o.routeInstructions.length-1].instruction+="Sur la bifurcation, prendre";break;case"end of road":o.routeInstructions[o.routeInstructions.length-1].instruction+="À la fin de la route, prendre";break;case"use lane":o.routeInstructions[o.routeInstructions.length-1].instruction+="Utiliser la file";break;case"continue":o.routeInstructions[o.routeInstructions.length-1].instruction+="Continuer";break;case"roundabout":case"rotary":o.routeInstructions[o.routeInstructions.length-1].instruction+="Au rond-point";break;case"roundabout turn":o.routeInstructions[o.routeInstructions.length-1].instruction+="Au rond point, tourner";break;case"notification":o.routeInstructions[o.routeInstructions.length-1].instruction+="";break;default:o.routeInstructions[o.routeInstructions.length-1].instruction+="?"+t.instruction.type+"?"}if(t.instruction.modifier)switch(t.instruction.modifier){case"uturn":o.routeInstructions[o.routeInstructions.length-1].instruction="Faire demi-tour";break;case"sharp right":o.routeInstructions[o.routeInstructions.length-1].instruction+=" complètement à droite";break;case"right":o.routeInstructions[o.routeInstructions.length-1].instruction+=" à droite";break;case"slight right":o.routeInstructions[o.routeInstructions.length-1].instruction+=" légèrement à droite";break;case"straight":o.routeInstructions[o.routeInstructions.length-1].instruction="Continuer tout droit";break;case"slight left":o.routeInstructions[o.routeInstructions.length-1].instruction+=" lègèrement à gauche";break;case"left":o.routeInstructions[o.routeInstructions.length-1].instruction+=" à gauche";break;case"sharp left":o.routeInstructions[o.routeInstructions.length-1].instruction+=" complètement à gauche";break;default:o.routeInstructions[o.routeInstructions.length-1].instruction+=" ?"+t.instruction.modifier+"?"}t.instruction.exit&&(o.routeInstructions[o.routeInstructions.length-1].instruction+="".concat(t.instruction.exit,"e sortie")),t.attributes.name&&((t.attributes.name.nom_1_droite||t.attributes.name.toponyme)&&(o.routeInstructions[o.routeInstructions.length-1].instruction+=" sur"),t.attributes.name.nom_1_droite&&(o.routeInstructions[o.routeInstructions.length-1].instruction+=" ".concat(t.attributes.name.nom_1_droite)),t.attributes.name.toponyme&&(o.routeInstructions[o.routeInstructions.length-1].instruction+=" ".concat(t.attributes.name.toponyme)))}))}}if(!o)return void t.onError.call(t.scope,new g(n.getMessage("SERVICE_RESPONSE_ANALYSE","json")));if(o.exceptionReport)return void t.onError.call(t.scope,new g(n.getMessage("SERVICE_RESPONSE_EXCEPTION_2")))}t.onSuccess.call(t.scope,o)}else t.onError.call(t.scope,new g(n.getMessage("SERVICE_RESPONSE_EMPTY")))}};function Gt(t){if(!(this instanceof Gt))throw new TypeError(n.getMessage("CLASS_CONSTRUCTOR","Route"));if(this.CLASSNAME="Route",v.apply(this,arguments),this.logger=s.getLogger("Gp.Services.Route"),this.logger.trace("[Constructeur Route (options)]"),!t.startPoint)throw new Error(n.getMessage("PARAM_MISSING","startPoint"));if(null===t.startPoint.x)throw new Error(n.getMessage("PARAM_MISSING","startPoint.x"));if(null===t.startPoint.y)throw new Error(n.getMessage("PARAM_MISSING","startPoint.y"));if(!t.endPoint)throw new Error(n.getMessage("PARAM_MISSING","endPoint"));if(null===t.endPoint.x)throw new Error(n.getMessage("PARAM_MISSING","endPoint.x"));if(null===t.endPoint.y)throw new Error(n.getMessage("PARAM_MISSING","endPoint.y"));if(t.outputFormat&&"json"!==t.outputFormat&&this.logger.warn("options.outputFormat could only be json"),this.options.outputFormat="json",this.options.resource=t.resource||"bdtopo-osrm",this.options.startPoint=t.startPoint,this.options.endPoint=t.endPoint,this.options.viaPoints=t.viaPoints||[],this.options.routePreference=t.routePreference||"fastest",t.graph?("Voiture"===t.graph&&(this.options.graph="car"),"Pieton"===t.graph&&(this.options.graph="pedestrian")):this.options.graph="car",this.options.constraints=[],t.constraints){if(!Array.isArray(t.constraints))throw new Error(n.getMessage("PARAM_TYPE","constraints"));for(var e=0;e<t.constraints.length;e++)this.options.constraints.push(t.constraints[e])}var o={},r={},i={};if(t.exclusions&&0!==t.exclusions.length){this.logger.warn("options.exclusions is DEPRECATED !!");for(var a=0;a<t.exclusions.length;a++)"string"==typeof t.exclusions[a]&&(t.exclusions[a]=t.exclusions[a].toLowerCase(),"toll"===t.exclusions[a]&&(i.constraintType="banned",i.key="wayType",i.operator="=",i.value="autoroute",this.options.constraints.push(i)),"tunnel"===t.exclusions[a]&&(o.constraintType="banned",o.key="wayType",o.operator="=",o.value="tunnel",this.options.constraints.push(o)),"bridge"===t.exclusions[a]&&(r.constraintType="banned",r.key="wayType",r.operator="=",r.value="pont",this.options.constraints.push(r)))}if(this.options.geometryInInstructions=t.geometryInInstructions||!1,this.options.provideBbox=t.provideBbox||!0,this.options.distanceUnit=t.distanceUnit||"m",this.options.timeUnit=t.timeUnit||"second",this.options.expectedStartTime=null,this.options.srs=t.srs||"EPSG:4326",this.options.waysAttributes=t.waysAttributes||[],!this.options.serverUrl){var c=E.Route.newUrl();if(!c)throw new Error("Url by default not found !");this.options.serverUrl=c,this.logger.trace("Serveur URL par defaut : "+this.options.serverUrl)}}Gt.prototype=Object.create(v.prototype,{}),Gt.prototype.constructor=Gt,Gt.prototype.buildRequest=function(t,e){var o={resource:this.options.resource,startPoint:this.options.startPoint,endPoint:this.options.endPoint,viaPoints:this.options.viaPoints,provideBbox:this.options.provideBbox,constraints:this.options.constraints,distanceUnit:this.options.distanceUnit,timeUnit:this.options.timeUnit,graph:this.options.graph,geometryInInstructions:this.options.geometryInInstructions,routePreference:this.options.routePreference,srs:this.options.srs,waysAttributes:this.options.waysAttributes};this.request=kt.build(o),this.request?e.call(this,this.request):t.call(this,new g(n.getMessage("SERVICE_REQUEST_BUILD")))},Gt.prototype.analyzeResponse=function(t,e){if(this.response){var o={distanceUnit:this.options.distanceUnit,timeUnit:this.options.timeUnit,response:this.response,outputFormat:this.options.outputFormat,rawResponse:this.options.rawResponse,onError:t,onSuccess:e,scope:this,geometryInInstructions:this.options.geometryInInstructions};Dt.build(o)}else t.call(this,new g(n.getMessage("SERVICE_RESPONSE_EMPTY")))};var Ft=Gt;function Vt(t){if(!(this instanceof Vt))throw new TypeError("ProcessIsoCurveParam constructor cannot be called as a function.");this.logger=s.getLogger(),this.logger.trace("[Constructeur ProcessIsoCurveParam ()]"),this.options=t||{},this.id=this.options.id,this.resource=this.options.resource,this.point=this.options.position,this.crs=this.options.srs,this.profile=this.options.graph,this.constraints=this.options.constraints,this.reverse=this.options.reverse,this.timeUnit=this.options.timeUnit,this.distanceUnit=this.options.distanceUnit,"distance"===this.options.method?(this.costType="distance",this.costValue=this.options.distance):(this.costType="time",this.costValue=this.options.time)}Vt.CLASSNAME="ProcessIsoCurveParam",Vt.prototype={constructor:Vt,getLocation:function(){return this.point.x+","+this.point.y},getDistanceUnit:function(){return"m"===this.distanceUnit?"meter":"km"===this.distanceUnit?"kilometer":""},getConstraints:function(){var t=[];if(0!==this.constraints.length)for(var e=0;e<this.constraints.length;e++)t.push(JSON.stringify(this.constraints[e]));return t.join("|")},getDirection:function(){return this.reverse?"arrival":"departure"}},Vt.prototype.getParams=function(){var t=[];return t.push({k:"resource",v:this.resource}),t.push({k:"point",v:this.getLocation()}),t.push({k:"direction",v:this.getDirection()}),t.push({k:"costType",v:this.costType}),t.push({k:"costValue",v:this.costValue}),t.push({k:"profile",v:this.profile}),t.push({k:"timeUnit",v:this.timeUnit}),t.push({k:"distanceUnit",v:this.getDistanceUnit()}),this.crs&&t.push({k:"crs",v:this.crs}),this.constraints&&t.push({k:"constraints",v:this.getConstraints()}),t};var Yt=Vt;function Xt(t){if(this.logger=s.getLogger("ProcessIsoCurveRequest"),this.logger.trace("[Constructeur ProcessIsoCurveRequest ()]"),!(this instanceof Xt))throw new TypeError("ProcessIsoCurveRequest constructor cannot be called as a function.");if(!t)throw new Error(n.getMessage("PARAM_EMPTY","options"));this.settings=t,this.mode=this.settings.httpMethod||"GET"}Xt.prototype={requestString:null,constructor:Xt,processRequestString:function(){var t="",e=0;switch(this.mode){case"GET":this.logger.trace("Process GET Request");var o=new Yt(this.settings).getParams();for(e=0;e<o.length;e++){var r=o[e];t&&(t+="&"),t+=r.k+"="+r.v}break;case"POST":this.logger.trace("Process POST Request");var s={};s.resource=this.settings.resource,s.point=this.settings.position.x+","+this.settings.position.y,"distance"===this.settings.method?(s.costType="distance",s.costValue=this.settings.distance):(s.costType="time",s.costValue=this.settings.time),s.profile=this.settings.graph,this.settings.reverse?s.direction="arrival":s.direction="departure",s.constraints=this.settings.constraints,s.distanceUnit=this.settings.distanceUnit,s.timeUnit=this.settings.timeUnit,s.crs=this.settings.srs,t=JSON.stringify(s);break;default:this.logger.error("No other HTTP method supported by the service !")}return this.logger.trace(t),this.requestString=t,this.requestString}};var zt=Xt;function Ht(){if(!(this instanceof Ht))throw new TypeError("ProcessIsoCurveResponse constructor cannot be called as a function.");this.message=null,this.id=null,this.location={},this.location.x=null,this.location.y=null,this.srs=null,this.geometry=null,this.time=null,this.distance=null}Ht.prototype={constructor:Ht};var Jt=Ht,Kt={build:function(t){var e=s.getLogger("ProcessIsoCurveResponseFactory");e.trace(["ProcessIsoCurveResponseFactory::build()"]);var o=null;if(t.response){if(t.rawResponse)e.trace("analyze response : raw"),o=t.response;else{var r;if(e.trace("analyze response : json"),r="string"==typeof t.response?JSON.parse(t.response):t.response,o=new Jt,!r)return void t.onError.call(t.scope,new g(n.getMessage("SERVICE_RESPONSE_ANALYSE",t.response)));"distance"===r.costType?(o.time="",o.distance=r.costValue):(o.time=r.costValue,o.distance=""),o.message="",o.id="",o.srs=r.crs,o.geometry=r.geometry;var i=r.point.split(",");if(o.location&&(o.location.x=i[0],o.location.y=i[1]),o.exceptionReport)return void t.onError.call(t.scope,new g({message:n.getMessage("SERVICE_RESPONSE_EXCEPTION",o.exceptionReport),type:g.TYPE_SRVERR,status:200}))}t.onSuccess.call(t.scope,o)}else t.onError.call(t.scope,new g(n.getMessage("SERVICE_RESPONSE_EMPTY")))}};function Wt(t){if(!(this instanceof Wt))throw new TypeError(n.getMessage("CLASS_CONSTRUCTOR","ProcessIsoCurve"));if(this.CLASSNAME="ProcessIsoCurve",v.apply(this,arguments),this.logger=s.getLogger("Gp.Services.ProcessIsoCurve"),this.logger.trace("[Constructeur ProcessIsoCurve (options)]"),!t.position)throw new Error(n.getMessage("PARAM_MISSING","position"));if(null===t.position.x)throw new Error(n.getMessage("PARAM_MISSING","position.x"));if(null===t.position.y)throw new Error(n.getMessage("PARAM_MISSING","position.y"));if(!t.time&&!t.distance)throw new Error("Parameter (s) 'distance' missing. Parameter time to calculate an isochrone, parameter distance for an isodistance");if(!t.time&&t.distance&&(this.options.method="distance",this.options.time&&delete this.options.time),t.time&&!t.distance&&(this.options.method="time",this.options.distance&&delete this.options.distance),this.options.method=this.options.method||"time",this.options.resource=t.resource||"bdtopo-valhalla",this.options.exclusions=t.exclusions||[],this.options.reverse=t.reverse||!1,this.options.srs=t.srs||"EPSG:4326",this.options.distanceUnit=t.distanceUnit||"m",this.options.timeUnit=t.timeUnit||"second",t.smoothing&&this.logger.warn("options.smoothing is DEPRECATED"),this.options.smoothing=!1,t.holes&&this.logger.warn("options.holes is DEPRECATED"),this.options.holes=!1,t.graph?("Voiture"===t.graph&&(this.options.graph="car"),"Pieton"===t.graph&&(this.options.graph="pedestrian")):this.options.graph="car",this.options.constraints=[],t.constraints){if(!Array.isArray(t.constraints))throw new Error(n.getMessage("PARAM_TYPE","constraints"));for(var e=0;e<t.constraints.length;e++)this.options.constraints.push(t.constraints[e])}var o={},r={},i={};if(t.exclusions&&0!==t.exclusions.length){this.logger.warn("options.exclusions is DEPRECATED !!");for(var a=0;a<t.exclusions.length;a++)"string"==typeof t.exclusions[a]&&(t.exclusions[a]=t.exclusions[a].toLowerCase(),"toll"===t.exclusions[a]&&(i.constraintType="banned",i.key="wayType",i.operator="=",i.value="autoroute",this.options.constraints.push(i)),"tunnel"===t.exclusions[a]&&(o.constraintType="banned",o.key="wayType",o.operator="=",o.value="tunnel",this.options.constraints.push(o)),"bridge"===t.exclusions[a]&&(r.constraintType="banned",r.key="wayType",r.operator="=",r.value="pont",this.options.constraints.push(r)))}if(this.options.outputFormat="string"==typeof t.outputFormat?t.outputFormat.toLowerCase():"json",t.outputFormat&&"json"!==t.outputFormat)throw new Error(n.getMessage("PARAM_NOT_SUPPORT","outputFormat"));if(this.options.outputFormat="json",!this.options.serverUrl){var c=E.ProcessIsoCurve.newUrl();if(!c)throw new Error("Url by default not found !");this.options.serverUrl=c,this.logger.trace("Serveur URL par defaut : "+this.options.serverUrl)}}Wt.prototype=Object.create(v.prototype,{}),Wt.prototype.constructor=Wt,Wt.prototype.buildRequest=function(t,e){try{var o=new zt(this.options);if(!o.processRequestString())throw new Error(n.getMessage("SERVICE_REQUEST_BUILD"));this.request=o.requestString}catch(e){return void t.call(this,new g(e.message))}e.call(this,this.request)},Wt.prototype.analyzeResponse=function(t,e){if(this.response){var o={response:this.response,outputFormat:this.options.outputFormat,rawResponse:this.options.rawResponse,onSuccess:e,onError:t,scope:this};Kt.build(o)}else t.call(this,new g(n.getMessage("SERVICE_RESPONSE_EMPTY")))};var Bt=Wt,Qt={getConfig:function(t){new M(t).call()},getAltitude:function(t){new rt(t).call()},geocode:function(t){new wt(t).call()},reverseGeocode:function(t){new Rt(t).call()},autoComplete:function(t){new Ct(t).call()},route:function(t){new Ft(t).call()},isoCurve:function(t){new Bt(t).call()}},Zt=m.version,$t=m.date,te={};te.servicesVersion=Zt,te.servicesDate=$t,te.Protocols={},te.Protocols.XHR=p,te.Services=Qt,te.Services.DefaultUrl=E,te.Services.AltiResponse=J,te.Services.Alti={},te.Services.Alti.Elevation=W,te.Services.AutoCompleteResponse=bt,te.Services.AutoComplete={},te.Services.AutoComplete.SuggestedLocation=Pt,te.Services.Config=M,te.Services.IsoCurveResponse=Jt,te.Services.RouteResponse=Ut,te.Services.Route={},te.Services.Route.RouteInstruction=jt,te.Error=g,te.Helper=i;e.default=te}]).default}));